View Issue Details

IDCategoryLast Update
0002419bugs2010-04-24 10:31
ReporterqharleyAssigned Toseablade 
Reproducibilityalways 
Status resolvedResolutionfixed 
Product VersionSVN/2.0-ongoing 
Fixed in Version 
Summary0002419: Ardour SVN/2.0 ongoing (2.6) crash during midi control
DescriptionTo reproduce fault:
1) Session should send MTC, and use MMC from a desk (general midi controller)
2) set up the control surface to control the faders in the mixing window.
3) try to control the faders using the mouse (sending feedback to the control surface)

The following bug report is generated by bugbuddy (file included)
TagsNo tags attached.

Users sponsoring this issue
Sponsors List Total Sponsorship = US$ 25

2008-10-27 15:08: qharley (US$ 25)
Users sponsoring this issue (Total Sponsorship = US$ 25)

Activities

2008-10-15 20:05

 

ardour-2.6-bugreport.txt (9,944 bytes)
System: Linux 2.6.21-1-multimedia-amd64 #1 SMP PREEMPT RT Fri Jun 22 00:00:33 UTC 2007 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 10402000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: gnome

Memory status: size: 915079168 vsize: 915079168 resident: 121110528 share: 30871552 rss: 121110528 rss_rlim: 18446744073709551615
CPU usage: start_time: 1224100888 rtime: 928 utime: 844 stime: 84 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/lib/bug-buddy/ardour-2.6'

[Thread debugging using libthread_db enabled]
[New Thread 0x2b72f87b5800 (LWP 3958)]
[New Thread 0x41972a70 (LWP 3977)]
[New Thread 0x418f7a70 (LWP 3976)]
[New Thread 0x4187ca70 (LWP 3975)]
[New Thread 0x45009950 (LWP 3974)]
[New Thread 0x44808950 (LWP 3973)]
[New Thread 0x41802950 (LWP 3962)]
[New Thread 0x41001950 (LWP 3961)]
[New Thread 0x40800950 (LWP 3960)]
0x00002b72f22c0d96 in poll () from /lib/libc.so.6
#0  0x00002b72f22c0d96 in poll () from /lib/libc.so.6
#1  0x00002b72ed224eb8 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00002b72ed22554d in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#3  0x00002b72ed848667 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#4  0x00002b72ef05f3a1 in Gtkmm2ext::UI::run ()
   from /usr/local/lib64/ardour2/libgtkmm2ext.so
#5  0x0000000000734406 in main ()

Thread 9 (Thread 0x40800950 (LWP 3960)):
#0  0x00002b72ef4abd29 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002b72eb1b5cd3 in peak_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#2  0x00002b72ed4dfd02 in call_thread_entry_slot ()
   from /usr/local/lib64/ardour2/libglibmm2.so
No locals.
#3  0x00002b72ed24a4d4 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00002b72ef4a7fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00002b72f22c97cd in clone () from /lib/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 8 (Thread 0x41001950 (LWP 3961)):
#0  0x00002b72ef4abd29 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002b72eb1b5cd3 in peak_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#2  0x00002b72ed4dfd02 in call_thread_entry_slot ()
   from /usr/local/lib64/ardour2/libglibmm2.so
No locals.
#3  0x00002b72ed24a4d4 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00002b72ef4a7fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00002b72f22c97cd in clone () from /lib/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 7 (Thread 0x41802950 (LWP 3962)):
#0  0x00002b72ef4abd29 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002b72eb02fbfb in ARDOUR::Analyser::work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#2  0x00002b72ed4dfd02 in call_thread_entry_slot ()
   from /usr/local/lib64/ardour2/libglibmm2.so
No locals.
#3  0x00002b72ed24a4d4 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00002b72ef4a7fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00002b72f22c97cd in clone () from /lib/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 6 (Thread 0x44808950 (LWP 3973)):
#0  0x00002b72ef4ae7eb in read () from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002aaabe86f72f in Jack::JackClientSocket::Read ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#2  0x00002aaabe8700cd in Jack::JackSocketClientChannel::Execute ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#3  0x00002aaabe86db9d in Jack::JackPosixThread::ThreadHandler ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#4  0x00002b72ef4a7fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00002b72f22c97cd in clone () from /lib/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 5 (Thread 0x45009950 (LWP 3974)):
#0  0x00002b72f22c0d96 in poll () from /lib/libc.so.6
No symbol table info available.
#1  0x00002aaabe86c98b in Jack::JackFifo::TimedWait ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#2  0x00002aaabe864afd in Jack::JackConnectionManager::SuspendRefNum ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#3  0x00002aaabe863de1 in Jack::JackClient::Wait ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#4  0x00002aaabe863c61 in Jack::JackClient::Execute ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#5  0x00002aaabe86db9d in Jack::JackPosixThread::ThreadHandler ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#6  0x00002b72ef4a7fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x00002b72f22c97cd in clone () from /lib/libc.so.6
No symbol table info available.
#8  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 4 (Thread 0x4187ca70 (LWP 3975)):
#0  0x00002b72ef4af0f1 in nanosleep () from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002b72ed24c678 in g_usleep () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#2  0x00002b72eb04482f in ARDOUR::AudioEngine::meter_thread ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#3  0x00002b72ed4dfd02 in call_thread_entry_slot ()
   from /usr/local/lib64/ardour2/libglibmm2.so
No locals.
#4  0x00002b72ed24a4d4 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#5  0x00002b72ef4a7fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x00002b72f22c97cd in clone () from /lib/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 0x418f7a70 (LWP 3976)):
#0  0x00002b72f22c0d96 in poll () from /lib/libc.so.6
No symbol table info available.
#1  0x00002b72eb14183f in ARDOUR::Session::butler_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#2  0x00002b72eb142d8e in ARDOUR::Session::_butler_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#3  0x00002b72ef4a7fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#4  0x00002b72f22c97cd in clone () from /lib/libc.so.6
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 0x41972a70 (LWP 3977)):
#0  0x00002b72ef4af5ff in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002b72ed258749 in g_spawn_sync () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#2  0x00002b72ed258a58 in g_spawn_command_line_sync ()
   from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00002b72f8f30656 in ?? ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#4  0x00002b72f8f3070d in ?? ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  <signal handler called>
No symbol table info available.
#6  0x00002b72f0e90257 in snd_seq_event_input () from /usr/lib/libasound.so.2
No symbol table info available.
#7  0x00002b72eff8ba9d in MIDI::ALSA_SequencerMidiPort::read ()
   from /usr/local/lib64/ardour2/libmidi++.so
No locals.
#8  0x00002b72eb18550a in ARDOUR::Session::midi_read ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#9  0x00002b72eb189380 in ARDOUR::Session::midi_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#10 0x00002b72eb189941 in ARDOUR::Session::_midi_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#11 0x00002b72ef4a7fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#12 0x00002b72f22c97cd in clone () from /lib/libc.so.6
No symbol table info available.
#13 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 0x2b72f87b5800 (LWP 3958)):
#0  0x00002b72f22c0d96 in poll () from /lib/libc.so.6
No symbol table info available.
#1  0x00002b72ed224eb8 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#2  0x00002b72ed22554d in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00002b72ed848667 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#4  0x00002b72ef05f3a1 in Gtkmm2ext::UI::run ()
   from /usr/local/lib64/ardour2/libgtkmm2ext.so
No locals.
#5  0x0000000000734406 in main ()
No locals.
#0  0x00002b72f22c0d96 in poll () from /lib/libc.so.6
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


----------- .xsession-errors ---------------------
jack_set_sample_rate_callback: deprecated
Loading session /audio/TeamArgoDoesntMatter using snapshot TeamArgoDoesntMatter (1)
Loading history from '/audio/TeamArgoDoesntMatter/TeamArgoDoesntMatter.history'.
JackActivationCount::Signal value = 0 ref = 4
JackActivationCount::Signal value = 0 ref = 4
JackActivationCount::Signal value = 0 ref = 4
JackActivationCount::Signal value = 0 ref = 4
/usr/share/themes/Clearlooks/gtk-2.0/gtkrc:67: error: unexpected identifier `colorize_scrollbar', expected character `}'
/usr/lib/bug-buddy/ardour-2.6: No such file or directory.
JackActivationCount::Signal value = 0 ref = 4
JackActivationCount::Signal value = 0 ref = 4
JackActivationCount::Signal value = 0 ref = 4
JackFifo::TimedWait name = /dev/shm/jack_fifo.default_ardour usec = 2147483647 revents 0 
SuspendRefNum error
JackClient::Execute error name = ardour
--------------------------------------------------
ardour-2.6-bugreport.txt (9,944 bytes)

2008-10-27 15:04

 

ardour-2.6.1-bugreport.txt (11,168 bytes)
System: Linux 2.6.21-1-multimedia-amd64 #1 SMP PREEMPT RT Fri Jun 22 00:00:33 UTC 2007 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 10402000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: gnome

Memory status: size: 852738048 vsize: 852738048 resident: 129359872 share: 30912512 rss: 129359872 rss_rlim: 18446744073709551615
CPU usage: start_time: 1225118779 rtime: 3582 utime: 3272 stime: 310 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/lib/bug-buddy/ardour-2.6.1'

[Thread debugging using libthread_db enabled]
[New Thread 0x2ad6d694e800 (LWP 14211)]
[New Thread 0x42173a70 (LWP 14229)]
[New Thread 0x420f8a70 (LWP 14228)]
[New Thread 0x4207da70 (LWP 14227)]
[New Thread 0x43806950 (LWP 14226)]
[New Thread 0x44007950 (LWP 14225)]
[New Thread 0x41802950 (LWP 14215)]
[New Thread 0x41001950 (LWP 14214)]
[New Thread 0x40800950 (LWP 14213)]
0x00002ad6d0459d96 in poll () from /lib/libc.so.6
#0  0x00002ad6d0459d96 in poll () from /lib/libc.so.6
#1  0x00002ad6cb3bdeb8 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00002ad6cb3be54d in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#3  0x00002ad6cb9e1667 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#4  0x00002ad6cd1f83a1 in Gtkmm2ext::UI::run ()
   from /usr/local/lib64/ardour2/libgtkmm2ext.so
#5  0x0000000000734286 in main ()

Thread 9 (Thread 0x40800950 (LWP 14213)):
#0  0x00002ad6cd644d29 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002ad6c934ed63 in peak_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#2  0x00002ad6cb678d02 in call_thread_entry_slot ()
   from /usr/local/lib64/ardour2/libglibmm2.so
No locals.
#3  0x00002ad6cb3e34d4 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00002ad6cd640fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00002ad6d04627cd in clone () from /lib/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 8 (Thread 0x41001950 (LWP 14214)):
#0  0x00002ad6cd644d29 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002ad6c934ed63 in peak_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#2  0x00002ad6cb678d02 in call_thread_entry_slot ()
   from /usr/local/lib64/ardour2/libglibmm2.so
No locals.
#3  0x00002ad6cb3e34d4 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00002ad6cd640fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00002ad6d04627cd in clone () from /lib/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 7 (Thread 0x41802950 (LWP 14215)):
#0  0x00002ad6cd644d29 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002ad6c91c8d0b in ARDOUR::Analyser::work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#2  0x00002ad6cb678d02 in call_thread_entry_slot ()
   from /usr/local/lib64/ardour2/libglibmm2.so
No locals.
#3  0x00002ad6cb3e34d4 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00002ad6cd640fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00002ad6d04627cd in clone () from /lib/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 6 (Thread 0x44007950 (LWP 14225)):
#0  0x00002ad6cd6477eb in read () from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002aaac280572f in Jack::JackClientSocket::Read ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#2  0x00002aaac28060cd in Jack::JackSocketClientChannel::Execute ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#3  0x00002aaac2803b9d in Jack::JackPosixThread::ThreadHandler ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#4  0x00002ad6cd640fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00002ad6d04627cd in clone () from /lib/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 5 (Thread 0x43806950 (LWP 14226)):
#0  0x00002ad6d0459d96 in poll () from /lib/libc.so.6
No symbol table info available.
#1  0x00002aaac280298b in Jack::JackFifo::TimedWait ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#2  0x00002aaac27faafd in Jack::JackConnectionManager::SuspendRefNum ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#3  0x00002aaac27f9de1 in Jack::JackClient::Wait ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#4  0x00002aaac27f9c61 in Jack::JackClient::Execute ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#5  0x00002aaac2803b9d in Jack::JackPosixThread::ThreadHandler ()
   from /usr/lib/libjackmp.so.0
No symbol table info available.
#6  0x00002ad6cd640fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x00002ad6d04627cd in clone () from /lib/libc.so.6
No symbol table info available.
#8  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 4 (Thread 0x4207da70 (LWP 14227)):
#0  0x00002ad6cd6480f1 in nanosleep () from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002ad6cb3e5678 in g_usleep () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#2  0x00002ad6c91dd8cf in ARDOUR::AudioEngine::meter_thread ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#3  0x00002ad6cb678d02 in call_thread_entry_slot ()
   from /usr/local/lib64/ardour2/libglibmm2.so
No locals.
#4  0x00002ad6cb3e34d4 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#5  0x00002ad6cd640fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x00002ad6d04627cd in clone () from /lib/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 0x420f8a70 (LWP 14228)):
#0  0x00002ad6cd6477eb in read () from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002ad6ced11020 in psf_fread ()
   from /usr/local/lib64/ardour2/libsndfile-ardour.so
No locals.
#2  0x00002ad6ced16ef1 in sf_read_float ()
   from /usr/local/lib64/ardour2/libsndfile-ardour.so
No locals.
#3  0x00002ad6c9349508 in ARDOUR::SndFileSource::read_unlocked ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#4  0x00002ad6c920828e in ARDOUR::AudioSource::read ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#5  0x00002ad6c91f9d8f in ARDOUR::AudioRegion::_read_at ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#6  0x00002ad6c91fa34b in ARDOUR::AudioRegion::read_at ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#7  0x00002ad6c91f5b36 in ARDOUR::AudioPlaylist::read ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#8  0x00002ad6c91d3d21 in ARDOUR::AudioDiskstream::read ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#9  0x00002ad6c91d45dd in ARDOUR::AudioDiskstream::_do_refill ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#10 0x00002ad6c92db0d9 in ARDOUR::Session::butler_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#11 0x00002ad6c92dbd9e in ARDOUR::Session::_butler_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#12 0x00002ad6cd640fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#13 0x00002ad6d04627cd in clone () from /lib/libc.so.6
No symbol table info available.
#14 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 0x42173a70 (LWP 14229)):
#0  0x00002ad6cd6485ff in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#1  0x00002ad6cb3f1749 in g_spawn_sync () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#2  0x00002ad6cb3f1a58 in g_spawn_command_line_sync ()
   from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00002ad6d70c9656 in ?? ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#4  0x00002ad6d70c970d in ?? ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  <signal handler called>
No symbol table info available.
#6  0x00002ad6cf029257 in snd_seq_event_input () from /usr/lib/libasound.so.2
No symbol table info available.
#7  0x00002ad6ce124a9d in MIDI::ALSA_SequencerMidiPort::read ()
   from /usr/local/lib64/ardour2/libmidi++.so
No locals.
#8  0x00002ad6c931e58a in ARDOUR::Session::midi_read ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#9  0x00002ad6c9322400 in ARDOUR::Session::midi_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#10 0x00002ad6c93229c1 in ARDOUR::Session::_midi_thread_work ()
   from /usr/local/lib64/ardour2/libardour.so
No locals.
#11 0x00002ad6cd640fc7 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#12 0x00002ad6d04627cd in clone () from /lib/libc.so.6
No symbol table info available.
#13 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 0x2ad6d694e800 (LWP 14211)):
#0  0x00002ad6d0459d96 in poll () from /lib/libc.so.6
No symbol table info available.
#1  0x00002ad6cb3bdeb8 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#2  0x00002ad6cb3be54d in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00002ad6cb9e1667 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#4  0x00002ad6cd1f83a1 in Gtkmm2ext::UI::run ()
   from /usr/local/lib64/ardour2/libgtkmm2ext.so
No locals.
#5  0x0000000000734286 in main ()
No locals.
#0  0x00002ad6d0459d96 in poll () from /lib/libc.so.6
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


----------- .xsession-errors ---------------------
loading system configuration file /usr/local/etc/ardour2/ardour_system.rc
loading user configuration file /home/qharley/.ardour2/ardour.rc
ardour: [INFO]: No H/W specific optimizations in use
ardour: [INFO]: looking for control protocols in /home/qharley/.ardour2/surfaces/:/usr/local/lib64/ardour2/surfaces/
powermate: Opening of powermate failed - No such file or directory
ardour: [INFO]: Control protocol powermate not usable
ardour: [INFO]: Control surface protocol discovered: "Generic MIDI"
ardour: [INFO]: Control surface protocol discovered: "Mackie"
jack_client_new: deprecated
jack_client_new: deprecated
loading bindings from /home/qharley/.ardour2/ardour.bindings
Loading session /audio/TeamArgoDoesntMatter using snapshot TeamArgoDoesntMatter (1)
Loading history from '/audio/TeamArgoDoesntMatter/TeamArgoDoesntMatter.history'.
/usr/share/themes/Clearlooks/gtk-2.0/gtkrc:67: error: unexpected identifier `colorize_scrollbar', expected character `}'
/usr/lib/bug-buddy/ardour-2.6.1: No such file or directory.
--------------------------------------------------

qharley

2008-10-27 15:04

reporter   ~0005212

This issue it still present in the 2.6.1 release. Same problem. Ardour receiving MMC and sending MTC. If Ardour is playing back, and the fader is controlled from within Ardour (sending the control back to the control surface) , Ardour crashes.

New report included.

seablade

2008-11-24 10:25

manager   ~0005318

I suspect this is still an issue in 2.7 as well, can you confirm this for me?

     Seablade

qharley

2008-11-24 14:06

reporter   ~0005337

I just repeated the actions that caused the problem in the previous note.
Same happens. The moment you touch the sliders in ardour, it bombs (this time with a segmentation fault without even creating a bugreport)

My hardware:
AMD Athlon64 x2 3800
USB Midi (Roland UM-1SX)
DDX3216 (SW 1.12 - latest FW release)

Ardour bombs out even if I break the midi connection in qjackctl, and the same hardware worked perfectly well in ardour 0.9x

qharley

2008-11-24 14:11

reporter   ~0005338

PS: Ardour should be playing back, sending MTC for the problem to occur. NB

seablade

2008-11-24 17:57

manager   ~0005346

Ok thanks, I may take a look into this as I suspect it is related to some bugs I noticed as well and I am at least faintly familiar with the code for these. Working on getting a dev setup going in Linux on a VM here.

      Seablade

seablade

2008-11-29 21:20

manager   ~0005397

Ok I no longer believe this is related to the other bug i was working on, going to be unassigning it as a result, but can you create a backtrace with a debug build for me and attach it? Thank you.

       Seablade

paul

2008-11-30 13:26

administrator   ~0005398

quentin - sad to say but these bugbuddy reports are really only barely useful. any chance you could reproduce this with ./ardbg and get an actual gdb backtrace? (http://ardour.org/debugging_ardour)

qharley

2008-12-01 07:46

reporter   ~0005406

I am having problems creating a backtrace. Using the instructions in the debugging page, ardour just exits, complaining that it cannot open the error dialogue, and no core file is created ???

I tried running it in gdb, but I cannot get ardour to connect to jack while running in gdb even if I run jack without RT and with massive latency.

When I tried the first method again, everything in ardour was very slow GUI wise, but the program did not want to crash at all.

I'll keep trying though. I have changed my workflow recently and use the automation of my digital mixer, and ardour as a smart multi-track recorder, with benefits. I would love for it to work as intended though, as I am currently limited to 16 ch of automation at any one time. I could work entirely in the box of course, but after working on a desk, fiddling with a mouse seems very inefficient.

2009-01-21 11:43

 

backtrace.tar.gz (5,824 bytes)

qharley

2009-01-21 11:45

reporter   ~0005621

I created a backtrace on a copy of ardour I compiled from SVN earlier this morning. Exact same method as before. I also included the project file in the file I sent.

Hope it helps.

qharley

2009-01-21 11:51

reporter   ~0005622

So another quick rundown of how to recreate the problem:

1) open crashtest project
2) hit play
3) control the faders on the ardour mixer with your mouse

When controlled from the desk, all is fine. It is only a problem when I want to save animation in ardour, and play back via ardour again, or controlling faders via mouse.

qharley

2009-01-27 10:50

reporter   ~0005642

Will this issue be addressed in 2.0-ongoing or should we look out for a fix in 3.0?

seablade

2009-01-27 22:03

manager   ~0005643

Good question, not one I can answer to well at the moment;)

Ok I am having problems reproducing this. Part of this might be because the only MIDI controller I have access to that isn't my Mackie(And thus wouldn't bind to well) is not one with motorized faders. Out of curiosity, can you tell Ardour to trace the input and output as you bind the control and cause the crash? At the moment Ardour does not seem to be transmitting MIDI to my surface that I can see, at least not from my trace, and I want to confirm what I am seeing a bit more before I continue to dig into it. Otherwise Iwill have to write up a Pd patch to emulate a MIDI surface, not to difficult, just gotta remember my basic Pd in that case;) Thanks.

     Seablade

seablade

2009-01-27 22:05

manager   ~0005644

By the way, thank you for the backtrace. Sadly the thread that crashed in it is not directly related to the MIDI control protocol, so it means that I am limited in my capabilities to utilize it for debugging purposes myself(Though someone more skilled at coding probably would get some good info out of it). As a result in order for me to fix it I need to reproduce it here. Doesn't stop someone else from fixing it though:)

       Seablade

2009-01-28 07:27

 

midimon_crashtest.txt (52,693 bytes)
247524,System:1,ALSA Client exit,,ardour,
247524,System:1,ALSA Port exit,,ardour:2,
247524,System:1,ALSA Port exit,,ardour:1,
247524,System:1,ALSA Port unsubscribed,,ardour:0,KMidimon:0
247524,System:1,ALSA Port exit,,ardour:0,
247514,ardour:0,Control change,1,7,59
247514,ardour:0,Control change,1,7,59
247514,ardour:0,MTC Quarter Frame,,114,
247514,ardour:0,MTC Quarter Frame,,114,
247511,ardour:0,MTC Quarter Frame,,96,
247505,ardour:0,MTC Quarter Frame,,80,
247501,ardour:0,MTC Quarter Frame,,64,
247497,ardour:0,Control change,1,7,58
247495,ardour:0,MTC Quarter Frame,,50,
247491,ardour:0,MTC Quarter Frame,,32,
247488,ardour:0,Control change,1,7,57
247488,ardour:0,MTC Quarter Frame,,16,
247488,ardour:0,MTC Quarter Frame,,16,
247482,ardour:0,MTC Quarter Frame,,2,
247476,ardour:0,MTC Quarter Frame,,114,
247472,ardour:0,MTC Quarter Frame,,96,
247470,ardour:0,Control change,1,7,56
247466,ardour:0,MTC Quarter Frame,,80,
247461,ardour:0,MTC Quarter Frame,,64,
247457,ardour:0,MTC Quarter Frame,,50,
247453,ardour:0,Control change,1,7,55
247451,ardour:0,MTC Quarter Frame,,32,
247447,ardour:0,MTC Quarter Frame,,16,
247441,ardour:0,MTC Quarter Frame,,0,
247438,ardour:0,MTC Quarter Frame,,114,
247434,ardour:0,MTC Quarter Frame,,96,
247428,ardour:0,MTC Quarter Frame,,80,
247426,ardour:0,Control change,1,7,54
247424,ardour:0,MTC Quarter Frame,,64,
247418,ardour:0,MTC Quarter Frame,,49,
247415,ardour:0,MTC Quarter Frame,,47,
247409,ardour:0,MTC Quarter Frame,,17,
247405,ardour:0,MTC Quarter Frame,,7,
247403,ardour:0,Control change,1,7,53
247399,ardour:0,MTC Quarter Frame,,114,
247395,ardour:0,MTC Quarter Frame,,96,
247392,ardour:0,MTC Quarter Frame,,80,
247386,ardour:0,MTC Quarter Frame,,64,
247376,ardour:0,Control change,1,7,52
247376,ardour:0,MTC Quarter Frame,,47,
247376,ardour:0,Control change,1,7,52
247370,ardour:0,MTC Quarter Frame,,17,
247365,ardour:0,MTC Quarter Frame,,5,
247361,ardour:0,MTC Quarter Frame,,114,
247359,ardour:0,Control change,1,7,51
247355,ardour:0,MTC Quarter Frame,,96,
247353,ardour:0,Control change,1,7,50
247351,ardour:0,MTC Quarter Frame,,80,
247347,ardour:0,MTC Quarter Frame,,64,
247342,ardour:0,MTC Quarter Frame,,49,
247338,ardour:0,MTC Quarter Frame,,47,
247332,ardour:0,MTC Quarter Frame,,17,
247328,ardour:0,MTC Quarter Frame,,3,
247322,ardour:0,MTC Quarter Frame,,114,
247319,ardour:0,MTC Quarter Frame,,96,
247313,ardour:0,MTC Quarter Frame,,80,
247309,ardour:0,MTC Quarter Frame,,64,
247303,ardour:0,MTC Quarter Frame,,49,
247299,ardour:0,MTC Quarter Frame,,47,
247294,ardour:0,MTC Quarter Frame,,17,
247290,ardour:0,MTC Quarter Frame,,1,
247284,ardour:0,MTC Quarter Frame,,114,
247278,ardour:0,MTC Quarter Frame,,96,
247274,ardour:0,MTC Quarter Frame,,80,
247269,ardour:0,MTC Quarter Frame,,64,
247265,ardour:0,MTC Quarter Frame,,49,
247261,ardour:0,MTC Quarter Frame,,47,
247255,ardour:0,MTC Quarter Frame,,16,
247251,ardour:0,MTC Quarter Frame,,15,
247246,ardour:0,MTC Quarter Frame,,114,
247242,ardour:0,MTC Quarter Frame,,96,
247236,ardour:0,MTC Quarter Frame,,80,
247232,ardour:0,MTC Quarter Frame,,64,
247226,ardour:0,MTC Quarter Frame,,49,
247223,ardour:0,MTC Quarter Frame,,47,
247219,ardour:0,MTC Quarter Frame,,16,
247213,ardour:0,MTC Quarter Frame,,13,
247207,ardour:0,MTC Quarter Frame,,114,
247203,ardour:0,MTC Quarter Frame,,96,
247198,ardour:0,MTC Quarter Frame,,80,
247192,ardour:0,MTC Quarter Frame,,64,
247188,ardour:0,MTC Quarter Frame,,49,
247182,ardour:0,MTC Quarter Frame,,47,
247178,ardour:0,MTC Quarter Frame,,16,
247175,ardour:0,MTC Quarter Frame,,11,
247169,ardour:0,MTC Quarter Frame,,114,
247165,ardour:0,MTC Quarter Frame,,96,
247159,ardour:0,MTC Quarter Frame,,80,
247155,ardour:0,MTC Quarter Frame,,64,
247150,ardour:0,MTC Quarter Frame,,49,
247146,ardour:0,MTC Quarter Frame,,47,
247140,ardour:0,MTC Quarter Frame,,16,
247136,ardour:0,MTC Quarter Frame,,9,
247132,ardour:0,MTC Quarter Frame,,114,
247127,ardour:0,MTC Quarter Frame,,96,
247121,ardour:0,MTC Quarter Frame,,80,
247117,ardour:0,MTC Quarter Frame,,64,
247111,ardour:0,MTC Quarter Frame,,49,
247105,ardour:0,MTC Quarter Frame,,47,
247102,ardour:0,MTC Quarter Frame,,16,
247096,ardour:0,MTC Quarter Frame,,7,
247092,ardour:0,MTC Quarter Frame,,114,
247088,ardour:0,MTC Quarter Frame,,96,
247082,ardour:0,MTC Quarter Frame,,80,
247079,ardour:0,MTC Quarter Frame,,64,
247073,ardour:0,MTC Quarter Frame,,49,
247069,ardour:0,MTC Quarter Frame,,47,
247063,ardour:0,MTC Quarter Frame,,16,
247059,ardour:0,MTC Quarter Frame,,5,
247054,ardour:0,MTC Quarter Frame,,114,
247050,ardour:0,MTC Quarter Frame,,96,
247046,ardour:0,MTC Quarter Frame,,80,
247040,ardour:0,MTC Quarter Frame,,64,
247034,ardour:0,MTC Quarter Frame,,49,
247031,ardour:0,MTC Quarter Frame,,47,
247025,ardour:0,MTC Quarter Frame,,16,
247019,ardour:0,MTC Quarter Frame,,3,
247015,ardour:0,MTC Quarter Frame,,114,
247009,ardour:0,MTC Quarter Frame,,96,
247006,ardour:0,MTC Quarter Frame,,80,
247002,ardour:0,MTC Quarter Frame,,64,
246996,ardour:0,MTC Quarter Frame,,49,
246992,ardour:0,MTC Quarter Frame,,47,
246986,ardour:0,MTC Quarter Frame,,16,
246983,ardour:0,MTC Quarter Frame,,1,
246977,ardour:0,MTC Quarter Frame,,114,
246973,ardour:0,MTC Quarter Frame,,96,
246967,ardour:0,MTC Quarter Frame,,80,
246963,ardour:0,MTC Quarter Frame,,64,
246960,ardour:0,MTC Quarter Frame,,49,
246954,ardour:0,MTC Quarter Frame,,46,
246948,ardour:0,MTC Quarter Frame,,17,
246944,ardour:0,MTC Quarter Frame,,8,
246938,ardour:0,MTC Quarter Frame,,114,
246933,ardour:0,MTC Quarter Frame,,96,
246929,ardour:0,MTC Quarter Frame,,80,
246923,ardour:0,MTC Quarter Frame,,64,
246919,ardour:0,MTC Quarter Frame,,49,
246915,ardour:0,MTC Quarter Frame,,46,
246910,ardour:0,MTC Quarter Frame,,17,
246906,ardour:0,MTC Quarter Frame,,6,
246900,ardour:0,MTC Quarter Frame,,114,
246896,ardour:0,MTC Quarter Frame,,96,
246890,ardour:0,MTC Quarter Frame,,80,
246887,ardour:0,MTC Quarter Frame,,64,
246881,ardour:0,MTC Quarter Frame,,49,
246877,ardour:0,MTC Quarter Frame,,46,
246873,ardour:0,MTC Quarter Frame,,17,
246867,ardour:0,MTC Quarter Frame,,4,
246862,ardour:0,MTC Quarter Frame,,114,
246858,ardour:0,MTC Quarter Frame,,96,
246852,ardour:0,MTC Quarter Frame,,80,
246846,ardour:0,MTC Quarter Frame,,64,
246842,ardour:0,MTC Quarter Frame,,49,
246837,ardour:0,MTC Quarter Frame,,46,
246833,ardour:0,MTC Quarter Frame,,17,
246827,ardour:0,MTC Quarter Frame,,2,
246823,ardour:0,MTC Quarter Frame,,114,
246819,ardour:0,MTC Quarter Frame,,96,
246814,ardour:0,MTC Quarter Frame,,80,
246810,ardour:0,MTC Quarter Frame,,64,
246804,ardour:0,MTC Quarter Frame,,49,
246800,ardour:0,MTC Quarter Frame,,46,
246794,ardour:0,MTC Quarter Frame,,17,
246791,ardour:0,MTC Quarter Frame,,0,
246785,ardour:0,MTC Quarter Frame,,114,
246781,ardour:0,MTC Quarter Frame,,96,
246775,ardour:0,MTC Quarter Frame,,80,
246771,ardour:0,MTC Quarter Frame,,64,
246766,ardour:0,MTC Quarter Frame,,49,
246760,ardour:0,MTC Quarter Frame,,46,
246756,ardour:0,MTC Quarter Frame,,16,
246750,ardour:0,MTC Quarter Frame,,14,
246746,ardour:0,MTC Quarter Frame,,114,
246741,ardour:0,MTC Quarter Frame,,96,
246737,ardour:0,MTC Quarter Frame,,80,
246733,ardour:0,MTC Quarter Frame,,64,
246727,ardour:0,MTC Quarter Frame,,49,
246723,ardour:0,MTC Quarter Frame,,46,
246718,ardour:0,MTC Quarter Frame,,16,
246714,ardour:0,MTC Quarter Frame,,12,
246708,ardour:0,MTC Quarter Frame,,114,
246704,ardour:0,MTC Quarter Frame,,96,
246698,ardour:0,MTC Quarter Frame,,80,
246695,ardour:0,MTC Quarter Frame,,64,
246689,ardour:0,MTC Quarter Frame,,49,
246685,ardour:0,MTC Quarter Frame,,46,
246679,ardour:0,MTC Quarter Frame,,16,
246675,ardour:0,MTC Quarter Frame,,10,
246670,ardour:0,MTC Quarter Frame,,114,
246664,ardour:0,MTC Quarter Frame,,96,
246660,ardour:0,MTC Quarter Frame,,80,
246654,ardour:0,MTC Quarter Frame,,64,
246650,ardour:0,MTC Quarter Frame,,49,
246647,ardour:0,MTC Quarter Frame,,46,
246641,ardour:0,MTC Quarter Frame,,16,
246637,ardour:0,MTC Quarter Frame,,8,
246631,ardour:0,MTC Quarter Frame,,114,
246627,ardour:0,MTC Quarter Frame,,96,
246622,ardour:0,MTC Quarter Frame,,80,
246618,ardour:0,MTC Quarter Frame,,64,
246612,ardour:0,MTC Quarter Frame,,49,
246608,ardour:0,MTC Quarter Frame,,46,
246604,ardour:0,MTC Quarter Frame,,16,
246599,ardour:0,MTC Quarter Frame,,6,
246593,ardour:0,MTC Quarter Frame,,114,
246589,ardour:0,MTC Quarter Frame,,96,
246583,ardour:0,MTC Quarter Frame,,80,
246577,ardour:0,MTC Quarter Frame,,64,
246574,ardour:0,MTC Quarter Frame,,49,
246568,ardour:0,MTC Quarter Frame,,46,
246564,ardour:0,MTC Quarter Frame,,16,
246560,ardour:0,MTC Quarter Frame,,4,
246554,ardour:0,MTC Quarter Frame,,114,
246551,ardour:0,MTC Quarter Frame,,96,
246545,ardour:0,MTC Quarter Frame,,80,
246541,ardour:0,MTC Quarter Frame,,64,
246535,ardour:0,MTC Quarter Frame,,49,
246531,ardour:0,MTC Quarter Frame,,46,
246526,ardour:0,MTC Quarter Frame,,16,
246522,ardour:0,MTC Quarter Frame,,2,
246518,ardour:0,MTC Quarter Frame,,114,
246512,ardour:0,MTC Quarter Frame,,96,
246506,ardour:0,MTC Quarter Frame,,80,
246503,ardour:0,MTC Quarter Frame,,64,
246497,ardour:0,MTC Quarter Frame,,49,
246491,ardour:0,MTC Quarter Frame,,46,
246487,ardour:0,MTC Quarter Frame,,16,
246481,ardour:0,MTC Quarter Frame,,0,
246478,ardour:0,MTC Quarter Frame,,114,
246474,ardour:0,MTC Quarter Frame,,96,
246468,ardour:0,MTC Quarter Frame,,80,
246464,ardour:0,MTC Quarter Frame,,64,
246458,ardour:0,MTC Quarter Frame,,49,
246455,ardour:0,MTC Quarter Frame,,45,
246449,ardour:0,MTC Quarter Frame,,17,
246445,ardour:0,MTC Quarter Frame,,7,
246439,ardour:0,MTC Quarter Frame,,114,
246435,ardour:0,MTC Quarter Frame,,96,
246430,ardour:0,MTC Quarter Frame,,80,
246426,ardour:0,MTC Quarter Frame,,64,
246420,ardour:0,MTC Quarter Frame,,49,
246416,ardour:0,MTC Quarter Frame,,45,
246410,ardour:0,MTC Quarter Frame,,17,
246405,ardour:0,MTC Quarter Frame,,5,
246401,ardour:0,MTC Quarter Frame,,114,
246395,ardour:0,MTC Quarter Frame,,96,
246391,ardour:0,MTC Quarter Frame,,80,
246387,ardour:0,MTC Quarter Frame,,64,
246382,ardour:0,MTC Quarter Frame,,49,
246378,ardour:0,MTC Quarter Frame,,45,
246372,ardour:0,MTC Quarter Frame,,17,
246368,ardour:0,MTC Quarter Frame,,3,
246362,ardour:0,MTC Quarter Frame,,114,
246359,ardour:0,MTC Quarter Frame,,96,
246353,ardour:0,MTC Quarter Frame,,80,
246349,ardour:0,MTC Quarter Frame,,64,
246345,ardour:0,MTC Quarter Frame,,49,
246339,ardour:0,MTC Quarter Frame,,45,
246334,ardour:0,MTC Quarter Frame,,17,
246330,ardour:0,MTC Quarter Frame,,1,
246324,ardour:0,MTC Quarter Frame,,114,
246318,ardour:0,MTC Quarter Frame,,96,
246314,ardour:0,MTC Quarter Frame,,80,
246309,ardour:0,MTC Quarter Frame,,64,
246305,ardour:0,MTC Quarter Frame,,49,
246301,ardour:0,MTC Quarter Frame,,45,
246295,ardour:0,MTC Quarter Frame,,16,
246291,ardour:0,MTC Quarter Frame,,15,
246286,ardour:0,MTC Quarter Frame,,114,
246282,ardour:0,MTC Quarter Frame,,96,
246276,ardour:0,MTC Quarter Frame,,80,
246272,ardour:0,MTC Quarter Frame,,64,
246266,ardour:0,MTC Quarter Frame,,49,
246263,ardour:0,MTC Quarter Frame,,45,
246259,ardour:0,MTC Quarter Frame,,16,
246253,ardour:0,MTC Quarter Frame,,13,
246247,ardour:0,MTC Quarter Frame,,114,
246243,ardour:0,MTC Quarter Frame,,96,
246238,ardour:0,MTC Quarter Frame,,80,
246232,ardour:0,MTC Quarter Frame,,64,
246228,ardour:0,MTC Quarter Frame,,49,
246222,ardour:0,MTC Quarter Frame,,45,
246218,ardour:0,MTC Quarter Frame,,16,
246213,ardour:0,MTC Quarter Frame,,11,
246209,ardour:0,MTC Quarter Frame,,114,
246205,ardour:0,MTC Quarter Frame,,96,
246199,ardour:0,MTC Quarter Frame,,80,
246195,ardour:0,MTC Quarter Frame,,64,
246190,ardour:0,MTC Quarter Frame,,49,
246186,ardour:0,MTC Quarter Frame,,45,
246180,ardour:0,MTC Quarter Frame,,16,
246176,ardour:0,MTC Quarter Frame,,9,
246170,ardour:0,MTC Quarter Frame,,114,
246167,ardour:0,MTC Quarter Frame,,96,
246161,ardour:0,MTC Quarter Frame,,80,
246157,ardour:0,MTC Quarter Frame,,64,
246151,ardour:0,MTC Quarter Frame,,49,
246147,ardour:0,MTC Quarter Frame,,45,
246142,ardour:0,MTC Quarter Frame,,16,
246136,ardour:0,MTC Quarter Frame,,7,
246132,ardour:0,MTC Quarter Frame,,114,
246126,ardour:0,MTC Quarter Frame,,96,
246122,ardour:0,MTC Quarter Frame,,80,
246119,ardour:0,MTC Quarter Frame,,64,
246113,ardour:0,MTC Quarter Frame,,49,
246109,ardour:0,MTC Quarter Frame,,45,
246103,ardour:0,MTC Quarter Frame,,16,
246099,ardour:0,MTC Quarter Frame,,5,
246094,ardour:0,MTC Quarter Frame,,114,
246090,ardour:0,MTC Quarter Frame,,96,
246084,ardour:0,MTC Quarter Frame,,80,
246080,ardour:0,MTC Quarter Frame,,64,
246074,ardour:0,MTC Quarter Frame,,49,
246071,ardour:0,MTC Quarter Frame,,45,
246065,ardour:0,MTC Quarter Frame,,16,
246059,ardour:0,MTC Quarter Frame,,3,
246055,ardour:0,MTC Quarter Frame,,114,
246049,ardour:0,MTC Quarter Frame,,96,
246046,ardour:0,MTC Quarter Frame,,80,
246040,ardour:0,MTC Quarter Frame,,64,
246036,ardour:0,MTC Quarter Frame,,49,
246032,ardour:0,MTC Quarter Frame,,45,
246026,ardour:0,MTC Quarter Frame,,16,
246023,ardour:0,MTC Quarter Frame,,1,
246017,ardour:0,MTC Quarter Frame,,114,
246013,ardour:0,MTC Quarter Frame,,96,
246007,ardour:0,MTC Quarter Frame,,80,
246003,ardour:0,MTC Quarter Frame,,64,
245998,ardour:0,MTC Quarter Frame,,49,
245994,ardour:0,MTC Quarter Frame,,44,
245988,ardour:0,MTC Quarter Frame,,17,
245984,ardour:0,MTC Quarter Frame,,8,
245978,ardour:0,MTC Quarter Frame,,114,
245975,ardour:0,MTC Quarter Frame,,96,
245969,ardour:0,MTC Quarter Frame,,80,
245963,ardour:0,MTC Quarter Frame,,64,
245959,ardour:0,MTC Quarter Frame,,49,
245953,ardour:0,MTC Quarter Frame,,44,
245950,ardour:0,MTC Quarter Frame,,17,
245946,ardour:0,MTC Quarter Frame,,6,
245940,ardour:0,MTC Quarter Frame,,114,
245936,ardour:0,MTC Quarter Frame,,96,
245930,ardour:0,MTC Quarter Frame,,80,
245927,ardour:0,MTC Quarter Frame,,64,
245921,ardour:0,MTC Quarter Frame,,49,
245917,ardour:0,MTC Quarter Frame,,44,
245911,ardour:0,MTC Quarter Frame,,17,
245907,ardour:0,MTC Quarter Frame,,4,
245904,ardour:0,MTC Quarter Frame,,114,
245898,ardour:0,MTC Quarter Frame,,96,
245892,ardour:0,MTC Quarter Frame,,80,
245888,ardour:0,MTC Quarter Frame,,64,
245882,ardour:0,MTC Quarter Frame,,49,
245877,ardour:0,MTC Quarter Frame,,44,
245873,ardour:0,MTC Quarter Frame,,17,
245867,ardour:0,MTC Quarter Frame,,2,
245863,ardour:0,MTC Quarter Frame,,114,
245859,ardour:0,MTC Quarter Frame,,96,
245854,ardour:0,MTC Quarter Frame,,80,
245850,ardour:0,MTC Quarter Frame,,64,
245844,ardour:0,MTC Quarter Frame,,49,
245840,ardour:0,MTC Quarter Frame,,44,
245834,ardour:0,MTC Quarter Frame,,17,
245831,ardour:0,MTC Quarter Frame,,0,
245825,ardour:0,MTC Quarter Frame,,114,
245821,ardour:0,MTC Quarter Frame,,96,
245817,ardour:0,MTC Quarter Frame,,80,
245811,ardour:0,MTC Quarter Frame,,64,
245806,ardour:0,MTC Quarter Frame,,49,
245800,ardour:0,MTC Quarter Frame,,44,
245796,ardour:0,MTC Quarter Frame,,16,
245790,ardour:0,MTC Quarter Frame,,14,
245786,ardour:0,MTC Quarter Frame,,114,
245781,ardour:0,MTC Quarter Frame,,96,
245777,ardour:0,MTC Quarter Frame,,80,
245773,ardour:0,MTC Quarter Frame,,64,
245767,ardour:0,MTC Quarter Frame,,49,
245763,ardour:0,MTC Quarter Frame,,44,
245758,ardour:0,MTC Quarter Frame,,16,
245754,ardour:0,MTC Quarter Frame,,12,
245748,ardour:0,MTC Quarter Frame,,114,
245744,ardour:0,MTC Quarter Frame,,96,
245738,ardour:0,MTC Quarter Frame,,80,
245735,ardour:0,MTC Quarter Frame,,64,
245729,ardour:0,MTC Quarter Frame,,49,
245725,ardour:0,MTC Quarter Frame,,44,
245719,ardour:0,MTC Quarter Frame,,16,
245715,ardour:0,MTC Quarter Frame,,10,
245710,ardour:0,MTC Quarter Frame,,114,
245704,ardour:0,MTC Quarter Frame,,96,
245700,ardour:0,MTC Quarter Frame,,80,
245694,ardour:0,MTC Quarter Frame,,64,
245690,ardour:0,MTC Quarter Frame,,49,
245687,ardour:0,MTC Quarter Frame,,44,
245681,ardour:0,MTC Quarter Frame,,16,
245677,ardour:0,MTC Quarter Frame,,8,
245671,ardour:0,MTC Quarter Frame,,114,
245667,ardour:0,MTC Quarter Frame,,96,
245662,ardour:0,MTC Quarter Frame,,80,
245658,ardour:0,MTC Quarter Frame,,64,
245652,ardour:0,MTC Quarter Frame,,49,
245648,ardour:0,MTC Quarter Frame,,44,
245644,ardour:0,MTC Quarter Frame,,16,
245639,ardour:0,MTC Quarter Frame,,6,
245633,ardour:0,MTC Quarter Frame,,114,
245629,ardour:0,MTC Quarter Frame,,96,
245623,ardour:0,MTC Quarter Frame,,80,
245617,ardour:0,MTC Quarter Frame,,64,
245614,ardour:0,MTC Quarter Frame,,49,
245608,ardour:0,MTC Quarter Frame,,44,
245604,ardour:0,MTC Quarter Frame,,16,
245598,ardour:0,MTC Quarter Frame,,4,
245594,ardour:0,MTC Quarter Frame,,114,
245591,ardour:0,MTC Quarter Frame,,96,
245585,ardour:0,MTC Quarter Frame,,80,
245581,ardour:0,MTC Quarter Frame,,64,
245575,ardour:0,MTC Quarter Frame,,49,
245571,ardour:0,MTC Quarter Frame,,44,
245566,ardour:0,MTC Quarter Frame,,16,
245562,ardour:0,MTC Quarter Frame,,2,
245556,ardour:0,MTC Quarter Frame,,114,
245552,ardour:0,MTC Quarter Frame,,96,
245546,ardour:0,MTC Quarter Frame,,80,
245543,ardour:0,MTC Quarter Frame,,64,
245537,ardour:0,MTC Quarter Frame,,49,
245531,ardour:0,MTC Quarter Frame,,44,
245527,ardour:0,MTC Quarter Frame,,16,
245521,ardour:0,MTC Quarter Frame,,0,
245518,ardour:0,MTC Quarter Frame,,114,
245512,ardour:0,MTC Quarter Frame,,96,
245508,ardour:0,MTC Quarter Frame,,80,
245504,ardour:0,MTC Quarter Frame,,64,
245498,ardour:0,MTC Quarter Frame,,49,
245495,ardour:0,MTC Quarter Frame,,43,
245489,ardour:0,MTC Quarter Frame,,17,
245485,ardour:0,MTC Quarter Frame,,7,
245479,ardour:0,MTC Quarter Frame,,114,
245475,ardour:0,MTC Quarter Frame,,96,
245470,ardour:0,MTC Quarter Frame,,80,
245466,ardour:0,MTC Quarter Frame,,64,
245460,ardour:0,MTC Quarter Frame,,49,
245456,ardour:0,MTC Quarter Frame,,43,
245450,ardour:0,MTC Quarter Frame,,17,
245445,ardour:0,MTC Quarter Frame,,5,
245441,ardour:0,MTC Quarter Frame,,114,
245435,ardour:0,MTC Quarter Frame,,96,
245431,ardour:0,MTC Quarter Frame,,80,
245425,ardour:0,MTC Quarter Frame,,64,
245422,ardour:0,MTC Quarter Frame,,49,
245418,ardour:0,MTC Quarter Frame,,43,
245412,ardour:0,MTC Quarter Frame,,17,
245408,ardour:0,MTC Quarter Frame,,3,
245402,ardour:0,MTC Quarter Frame,,114,
245399,ardour:0,MTC Quarter Frame,,96,
245393,ardour:0,MTC Quarter Frame,,80,
245389,ardour:0,MTC Quarter Frame,,64,
245383,ardour:0,MTC Quarter Frame,,49,
245379,ardour:0,MTC Quarter Frame,,43,
245374,ardour:0,MTC Quarter Frame,,17,
245370,ardour:0,MTC Quarter Frame,,1,
245364,ardour:0,MTC Quarter Frame,,114,
245360,ardour:0,MTC Quarter Frame,,96,
245354,ardour:0,MTC Quarter Frame,,80,
245349,ardour:0,MTC Quarter Frame,,64,
245345,ardour:0,MTC Quarter Frame,,49,
245339,ardour:0,MTC Quarter Frame,,43,
245335,ardour:0,MTC Quarter Frame,,16,
245331,ardour:0,MTC Quarter Frame,,15,
245326,ardour:0,MTC Quarter Frame,,114,
245322,ardour:0,MTC Quarter Frame,,96,
245316,ardour:0,MTC Quarter Frame,,80,
245312,ardour:0,MTC Quarter Frame,,64,
245306,ardour:0,MTC Quarter Frame,,49,
245303,ardour:0,MTC Quarter Frame,,43,
245297,ardour:0,MTC Quarter Frame,,16,
245293,ardour:0,MTC Quarter Frame,,13,
245287,ardour:0,MTC Quarter Frame,,114,
245283,ardour:0,MTC Quarter Frame,,96,
245278,ardour:0,MTC Quarter Frame,,80,
245274,ardour:0,MTC Quarter Frame,,64,
245268,ardour:0,MTC Quarter Frame,,49,
245262,ardour:0,MTC Quarter Frame,,43,
245258,ardour:0,MTC Quarter Frame,,16,
245253,ardour:0,MTC Quarter Frame,,11,
245249,ardour:0,MTC Quarter Frame,,114,
245245,ardour:0,MTC Quarter Frame,,96,
245239,ardour:0,MTC Quarter Frame,,80,
245235,ardour:0,MTC Quarter Frame,,64,
245230,ardour:0,MTC Quarter Frame,,49,
245226,ardour:0,MTC Quarter Frame,,43,
245220,ardour:0,MTC Quarter Frame,,16,
245216,ardour:0,MTC Quarter Frame,,9,
245210,ardour:0,MTC Quarter Frame,,114,
245207,ardour:0,MTC Quarter Frame,,96,
245203,ardour:0,MTC Quarter Frame,,80,
245197,ardour:0,MTC Quarter Frame,,64,
245191,ardour:0,MTC Quarter Frame,,49,
245185,ardour:0,MTC Quarter Frame,,43,
245182,ardour:0,MTC Quarter Frame,,16,
245176,ardour:0,MTC Quarter Frame,,7,
245172,ardour:0,MTC Quarter Frame,,114,
245166,ardour:0,MTC Quarter Frame,,96,
245162,ardour:0,MTC Quarter Frame,,80,
245159,ardour:0,MTC Quarter Frame,,64,
245153,ardour:0,MTC Quarter Frame,,49,
245149,ardour:0,MTC Quarter Frame,,43,
245143,ardour:0,MTC Quarter Frame,,16,
245139,ardour:0,MTC Quarter Frame,,5,
245134,ardour:0,MTC Quarter Frame,,114,
245130,ardour:0,MTC Quarter Frame,,96,
245124,ardour:0,MTC Quarter Frame,,80,
245120,ardour:0,MTC Quarter Frame,,64,
245116,ardour:0,MTC Quarter Frame,,49,
245111,ardour:0,MTC Quarter Frame,,43,
245105,ardour:0,MTC Quarter Frame,,16,
245101,ardour:0,MTC Quarter Frame,,3,
245095,ardour:0,MTC Quarter Frame,,114,
245089,ardour:0,MTC Quarter Frame,,96,
245086,ardour:0,MTC Quarter Frame,,80,
245080,ardour:0,MTC Quarter Frame,,64,
245076,ardour:0,MTC Quarter Frame,,49,
245072,ardour:0,MTC Quarter Frame,,43,
245066,ardour:0,MTC Quarter Frame,,16,
245063,ardour:0,MTC Quarter Frame,,1,
245057,ardour:0,MTC Quarter Frame,,114,
245053,ardour:0,MTC Quarter Frame,,96,
245047,ardour:0,MTC Quarter Frame,,80,
245043,ardour:0,MTC Quarter Frame,,64,
245038,ardour:0,MTC Quarter Frame,,49,
245034,ardour:0,MTC Quarter Frame,,42,
245030,ardour:0,MTC Quarter Frame,,17,
245024,ardour:0,MTC Quarter Frame,,8,
245018,ardour:0,MTC Quarter Frame,,114,
245015,ardour:0,MTC Quarter Frame,,96,
245009,ardour:0,MTC Quarter Frame,,80,
245003,ardour:0,MTC Quarter Frame,,64,
244999,ardour:0,MTC Quarter Frame,,49,
244993,ardour:0,MTC Quarter Frame,,42,
244990,ardour:0,MTC Quarter Frame,,17,
244984,ardour:0,MTC Quarter Frame,,6,
244980,ardour:0,MTC Quarter Frame,,114,
244976,ardour:0,MTC Quarter Frame,,96,
244970,ardour:0,MTC Quarter Frame,,80,
244967,ardour:0,MTC Quarter Frame,,64,
244961,ardour:0,MTC Quarter Frame,,49,
244957,ardour:0,MTC Quarter Frame,,42,
244951,ardour:0,MTC Quarter Frame,,17,
244947,ardour:0,MTC Quarter Frame,,4,
244942,ardour:0,MTC Quarter Frame,,114,
244938,ardour:0,MTC Quarter Frame,,96,
244932,ardour:0,MTC Quarter Frame,,80,
244928,ardour:0,MTC Quarter Frame,,64,
244922,ardour:0,MTC Quarter Frame,,49,
244917,ardour:0,MTC Quarter Frame,,42,
244913,ardour:0,MTC Quarter Frame,,17,
244907,ardour:0,MTC Quarter Frame,,2,
244903,ardour:0,MTC Quarter Frame,,114,
244897,ardour:0,MTC Quarter Frame,,96,
244894,ardour:0,MTC Quarter Frame,,80,
244890,ardour:0,MTC Quarter Frame,,64,
244884,ardour:0,MTC Quarter Frame,,49,
244880,ardour:0,MTC Quarter Frame,,42,
244874,ardour:0,MTC Quarter Frame,,17,
244871,ardour:0,MTC Quarter Frame,,0,
244865,ardour:0,MTC Quarter Frame,,114,
244861,ardour:0,MTC Quarter Frame,,96,
244855,ardour:0,MTC Quarter Frame,,80,
244851,ardour:0,MTC Quarter Frame,,64,
244846,ardour:0,MTC Quarter Frame,,49,
244842,ardour:0,MTC Quarter Frame,,42,
244836,ardour:0,MTC Quarter Frame,,16,
244830,ardour:0,MTC Quarter Frame,,14,
244826,ardour:0,MTC Quarter Frame,,114,
244821,ardour:0,MTC Quarter Frame,,96,
244817,ardour:0,MTC Quarter Frame,,80,
244811,ardour:0,MTC Quarter Frame,,64,
244807,ardour:0,MTC Quarter Frame,,49,
244803,ardour:0,MTC Quarter Frame,,42,
244798,ardour:0,MTC Quarter Frame,,16,
244794,ardour:0,MTC Quarter Frame,,12,
244788,ardour:0,MTC Quarter Frame,,114,
244784,ardour:0,MTC Quarter Frame,,96,
244778,ardour:0,MTC Quarter Frame,,80,
244775,ardour:0,MTC Quarter Frame,,64,
244769,ardour:0,MTC Quarter Frame,,49,
244765,ardour:0,MTC Quarter Frame,,42,
244759,ardour:0,MTC Quarter Frame,,16,
244755,ardour:0,MTC Quarter Frame,,10,
244750,ardour:0,MTC Quarter Frame,,114,
244744,ardour:0,MTC Quarter Frame,,96,
244740,ardour:0,MTC Quarter Frame,,80,
244734,ardour:0,MTC Quarter Frame,,64,
244730,ardour:0,MTC Quarter Frame,,49,
244725,ardour:0,MTC Quarter Frame,,42,
244721,ardour:0,MTC Quarter Frame,,16,
244717,ardour:0,MTC Quarter Frame,,8,
244711,ardour:0,MTC Quarter Frame,,114,
244707,ardour:0,MTC Quarter Frame,,96,
244702,ardour:0,MTC Quarter Frame,,80,
244698,ardour:0,MTC Quarter Frame,,64,
244692,ardour:0,MTC Quarter Frame,,49,
244688,ardour:0,MTC Quarter Frame,,42,
244682,ardour:0,MTC Quarter Frame,,16,
244679,ardour:0,MTC Quarter Frame,,6,
244673,ardour:0,MTC Quarter Frame,,114,
244669,ardour:0,MTC Quarter Frame,,96,
244663,ardour:0,MTC Quarter Frame,,80,
244657,ardour:0,MTC Quarter Frame,,64,
244654,ardour:0,MTC Quarter Frame,,49,
244648,ardour:0,MTC Quarter Frame,,42,
244644,ardour:0,MTC Quarter Frame,,16,
244638,ardour:0,MTC Quarter Frame,,4,
244634,ardour:0,MTC Quarter Frame,,114,
244631,ardour:0,MTC Quarter Frame,,96,
244625,ardour:0,MTC Quarter Frame,,80,
244621,ardour:0,MTC Quarter Frame,,64,
244615,ardour:0,MTC Quarter Frame,,49,
244611,ardour:0,MTC Quarter Frame,,42,
244606,ardour:0,MTC Quarter Frame,,16,
244602,ardour:0,MTC Quarter Frame,,2,
244596,ardour:0,MTC Quarter Frame,,114,
244592,ardour:0,MTC Quarter Frame,,96,
244586,ardour:0,MTC Quarter Frame,,80,
244583,ardour:0,MTC Quarter Frame,,64,
244577,ardour:0,MTC Quarter Frame,,49,
244573,ardour:0,MTC Quarter Frame,,42,
244567,ardour:0,MTC Quarter Frame,,16,
244561,ardour:0,MTC Quarter Frame,,0,
244558,ardour:0,MTC Quarter Frame,,114,
244552,ardour:0,MTC Quarter Frame,,96,
244548,ardour:0,MTC Quarter Frame,,80,
244544,ardour:0,MTC Quarter Frame,,64,
244538,ardour:0,MTC Quarter Frame,,49,
244535,ardour:0,MTC Quarter Frame,,41,
244529,ardour:0,MTC Quarter Frame,,17,
244525,ardour:0,MTC Quarter Frame,,7,
244519,ardour:0,MTC Quarter Frame,,114,
244515,ardour:0,MTC Quarter Frame,,96,
244510,ardour:0,MTC Quarter Frame,,80,
244506,ardour:0,MTC Quarter Frame,,64,
244502,ardour:0,MTC Quarter Frame,,49,
244496,ardour:0,MTC Quarter Frame,,41,
244490,ardour:0,MTC Quarter Frame,,17,
244487,ardour:0,MTC Quarter Frame,,5,
244481,ardour:0,MTC Quarter Frame,,114,
244475,ardour:0,MTC Quarter Frame,,96,
244471,ardour:0,MTC Quarter Frame,,80,
244465,ardour:0,MTC Quarter Frame,,64,
244462,ardour:0,MTC Quarter Frame,,49,
244458,ardour:0,MTC Quarter Frame,,41,
244452,ardour:0,MTC Quarter Frame,,17,
244448,ardour:0,MTC Quarter Frame,,3,
244442,ardour:0,MTC Quarter Frame,,114,
244439,ardour:0,MTC Quarter Frame,,96,
244433,ardour:0,MTC Quarter Frame,,80,
244429,ardour:0,MTC Quarter Frame,,64,
244423,ardour:0,MTC Quarter Frame,,49,
244419,ardour:0,MTC Quarter Frame,,41,
244416,ardour:0,MTC Quarter Frame,,17,
244410,ardour:0,MTC Quarter Frame,,1,
244404,ardour:0,MTC Quarter Frame,,114,
244400,ardour:0,MTC Quarter Frame,,96,
244394,ardour:0,MTC Quarter Frame,,80,
244389,ardour:0,MTC Quarter Frame,,64,
244385,ardour:0,MTC Quarter Frame,,49,
244379,ardour:0,MTC Quarter Frame,,41,
244375,ardour:0,MTC Quarter Frame,,16,
244369,ardour:0,MTC Quarter Frame,,15,
244366,ardour:0,MTC Quarter Frame,,114,
244362,ardour:0,MTC Quarter Frame,,96,
244356,ardour:0,MTC Quarter Frame,,80,
244352,ardour:0,MTC Quarter Frame,,64,
244346,ardour:0,MTC Quarter Frame,,49,
244343,ardour:0,MTC Quarter Frame,,41,
244337,ardour:0,MTC Quarter Frame,,16,
244333,ardour:0,MTC Quarter Frame,,13,
244327,ardour:0,MTC Quarter Frame,,114,
244323,ardour:0,MTC Quarter Frame,,96,
244318,ardour:0,MTC Quarter Frame,,80,
244314,ardour:0,MTC Quarter Frame,,64,
244308,ardour:0,MTC Quarter Frame,,49,
244302,ardour:0,MTC Quarter Frame,,41,
244298,ardour:0,MTC Quarter Frame,,16,
244293,ardour:0,MTC Quarter Frame,,11,
244289,ardour:0,MTC Quarter Frame,,114,
244283,ardour:0,MTC Quarter Frame,,96,
244279,ardour:0,MTC Quarter Frame,,80,
244275,ardour:0,MTC Quarter Frame,,64,
244270,ardour:0,MTC Quarter Frame,,49,
244266,ardour:0,MTC Quarter Frame,,41,
244260,ardour:0,MTC Quarter Frame,,16,
244256,ardour:0,MTC Quarter Frame,,9,
244250,ardour:0,MTC Quarter Frame,,114,
244247,ardour:0,MTC Quarter Frame,,96,
244241,ardour:0,MTC Quarter Frame,,80,
244237,ardour:0,MTC Quarter Frame,,64,
244231,ardour:0,MTC Quarter Frame,,49,
244227,ardour:0,MTC Quarter Frame,,41,
244222,ardour:0,MTC Quarter Frame,,16,
244216,ardour:0,MTC Quarter Frame,,7,
244212,ardour:0,MTC Quarter Frame,,114,
244206,ardour:0,MTC Quarter Frame,,96,
244202,ardour:0,MTC Quarter Frame,,80,
244197,ardour:0,MTC Quarter Frame,,64,
244193,ardour:0,MTC Quarter Frame,,49,
244189,ardour:0,MTC Quarter Frame,,41,
244183,ardour:0,MTC Quarter Frame,,16,
244179,ardour:0,MTC Quarter Frame,,5,
244174,ardour:0,MTC Quarter Frame,,114,
244170,ardour:0,MTC Quarter Frame,,96,
244164,ardour:0,MTC Quarter Frame,,80,
244160,ardour:0,MTC Quarter Frame,,64,
244156,UM-1SX:0,Control change,1,7,50
244154,ardour:0,MTC Quarter Frame,,49,
244151,ardour:0,MTC Quarter Frame,,41,
244145,ardour:0,MTC Quarter Frame,,16,
244141,ardour:0,MTC Quarter Frame,,3,
244139,UM-1SX:0,Control change,1,7,51
244135,ardour:0,MTC Quarter Frame,,114,
244129,ardour:0,MTC Quarter Frame,,96,
244126,ardour:0,MTC Quarter Frame,,80,
244120,ardour:0,MTC Quarter Frame,,64,
244118,UM-1SX:0,Control change,1,7,55
244116,ardour:0,MTC Quarter Frame,,49,
244110,ardour:0,MTC Quarter Frame,,41,
244106,ardour:0,MTC Quarter Frame,,16,
244103,ardour:0,MTC Quarter Frame,,1,
244099,UM-1SX:0,Control change,1,7,60
244097,ardour:0,MTC Quarter Frame,,114,
244093,ardour:0,MTC Quarter Frame,,96,
244087,ardour:0,MTC Quarter Frame,,80,
244083,ardour:0,MTC Quarter Frame,,64,
244080,UM-1SX:0,Control change,1,7,66
244078,ardour:0,MTC Quarter Frame,,49,
244074,ardour:0,MTC Quarter Frame,,40,
244068,ardour:0,MTC Quarter Frame,,17,
244064,ardour:0,MTC Quarter Frame,,8,
244062,UM-1SX:0,Control change,1,7,71
244058,ardour:0,MTC Quarter Frame,,114,
244055,ardour:0,MTC Quarter Frame,,96,
244049,ardour:0,MTC Quarter Frame,,80,
244045,ardour:0,MTC Quarter Frame,,64,
244043,UM-1SX:0,Control change,1,7,76
244039,ardour:0,MTC Quarter Frame,,49,
244033,ardour:0,MTC Quarter Frame,,40,
244030,ardour:0,MTC Quarter Frame,,17,
244024,ardour:0,MTC Quarter Frame,,6,
244022,UM-1SX:0,Control change,1,7,82
244020,ardour:0,MTC Quarter Frame,,114,
244016,ardour:0,MTC Quarter Frame,,96,
244010,ardour:0,MTC Quarter Frame,,80,
244007,ardour:0,MTC Quarter Frame,,64,
244003,UM-1SX:0,Control change,1,7,87
244001,ardour:0,MTC Quarter Frame,,49,
243997,ardour:0,MTC Quarter Frame,,40,
243991,ardour:0,MTC Quarter Frame,,17,
243987,ardour:0,MTC Quarter Frame,,4,
243982,ardour:0,MTC Quarter Frame,,114,
243978,ardour:0,MTC Quarter Frame,,96,
243972,ardour:0,MTC Quarter Frame,,80,
243968,ardour:0,MTC Quarter Frame,,64,
243966,UM-1SX:0,Control change,1,7,89
243962,ardour:0,MTC Quarter Frame,,49,
243959,ardour:0,MTC Quarter Frame,,40,
243953,ardour:0,MTC Quarter Frame,,17,
243947,ardour:0,MTC Quarter Frame,,2,
243945,UM-1SX:0,Control change,1,7,88
243943,ardour:0,MTC Quarter Frame,,114,
243937,ardour:0,MTC Quarter Frame,,96,
243934,ardour:0,MTC Quarter Frame,,80,
243930,ardour:0,MTC Quarter Frame,,64,
243926,UM-1SX:0,Control change,1,7,85
243924,ardour:0,MTC Quarter Frame,,49,
243920,ardour:0,MTC Quarter Frame,,40,
243914,ardour:0,MTC Quarter Frame,,17,
243911,ardour:0,MTC Quarter Frame,,0,
243907,UM-1SX:0,Control change,1,7,81
243905,ardour:0,MTC Quarter Frame,,114,
243901,ardour:0,MTC Quarter Frame,,96,
243895,ardour:0,MTC Quarter Frame,,80,
243891,ardour:0,MTC Quarter Frame,,64,
243889,UM-1SX:0,Control change,1,7,76
243888,ardour:0,MTC Quarter Frame,,49,
243882,ardour:0,MTC Quarter Frame,,40,
243876,ardour:0,MTC Quarter Frame,,16,
243872,ardour:0,MTC Quarter Frame,,14,
243870,UM-1SX:0,Control change,1,7,70
243866,ardour:0,MTC Quarter Frame,,114,
243861,ardour:0,MTC Quarter Frame,,96,
243857,ardour:0,MTC Quarter Frame,,80,
243851,ardour:0,MTC Quarter Frame,,64,
243849,UM-1SX:0,Control change,1,7,65
243847,ardour:0,MTC Quarter Frame,,49,
243843,ardour:0,MTC Quarter Frame,,40,
243838,ardour:0,MTC Quarter Frame,,16,
243834,ardour:0,MTC Quarter Frame,,12,
243830,UM-1SX:0,Control change,1,7,59
243828,ardour:0,MTC Quarter Frame,,114,
243824,ardour:0,MTC Quarter Frame,,96,
243818,ardour:0,MTC Quarter Frame,,80,
243815,ardour:0,MTC Quarter Frame,,64,
243811,UM-1SX:0,Control change,1,7,54
243809,ardour:0,MTC Quarter Frame,,49,
243805,ardour:0,MTC Quarter Frame,,40,
243799,ardour:0,MTC Quarter Frame,,16,
243795,ardour:0,MTC Quarter Frame,,10,
243793,UM-1SX:0,Control change,1,7,49
243790,ardour:0,MTC Quarter Frame,,114,
243786,ardour:0,MTC Quarter Frame,,96,
243780,ardour:0,MTC Quarter Frame,,80,
243774,ardour:0,MTC Quarter Frame,,64,
243770,ardour:0,MTC Quarter Frame,,49,
243765,ardour:0,MTC Quarter Frame,,40,
243761,ardour:0,MTC Quarter Frame,,16,
243755,ardour:0,MTC Quarter Frame,,8,
243751,ardour:0,MTC Quarter Frame,,114,
243747,ardour:0,MTC Quarter Frame,,96,
243742,ardour:0,MTC Quarter Frame,,80,
243738,ardour:0,MTC Quarter Frame,,64,
243732,ardour:0,MTC Quarter Frame,,49,
243728,ardour:0,MTC Quarter Frame,,40,
243722,ardour:0,MTC Quarter Frame,,16,
243719,ardour:0,MTC Quarter Frame,,6,
243713,ardour:0,MTC Quarter Frame,,114,
243709,ardour:0,MTC Quarter Frame,,96,
243703,ardour:0,MTC Quarter Frame,,80,
243699,ardour:0,MTC Quarter Frame,,64,
243694,ardour:0,MTC Quarter Frame,,49,
243688,ardour:0,MTC Quarter Frame,,40,
243684,ardour:0,MTC Quarter Frame,,16,
243678,ardour:0,MTC Quarter Frame,,4,
243674,ardour:0,MTC Quarter Frame,,114,
243669,ardour:0,MTC Quarter Frame,,96,
243665,ardour:0,MTC Quarter Frame,,80,
243661,ardour:0,MTC Quarter Frame,,64,
243655,ardour:0,MTC Quarter Frame,,49,
243651,ardour:0,MTC Quarter Frame,,40,
243646,ardour:0,MTC Quarter Frame,,16,
243642,ardour:0,MTC Quarter Frame,,2,
243636,ardour:0,MTC Quarter Frame,,114,
243632,ardour:0,MTC Quarter Frame,,96,
243626,ardour:0,MTC Quarter Frame,,80,
243623,ardour:0,MTC Quarter Frame,,64,
243617,ardour:0,MTC Quarter Frame,,49,
243613,ardour:0,MTC Quarter Frame,,40,
243607,ardour:0,MTC Quarter Frame,,16,
243601,ardour:0,MTC Quarter Frame,,0,
243598,ardour:0,MTC Quarter Frame,,114,
243592,ardour:0,MTC Quarter Frame,,96,
243588,ardour:0,MTC Quarter Frame,,80,
243582,ardour:0,MTC Quarter Frame,,64,
243578,ardour:0,MTC Quarter Frame,,49,
243575,ardour:0,MTC Quarter Frame,,39,
243569,ardour:0,MTC Quarter Frame,,17,
243565,ardour:0,MTC Quarter Frame,,7,
243559,ardour:0,MTC Quarter Frame,,114,
243555,ardour:0,MTC Quarter Frame,,96,
243550,ardour:0,MTC Quarter Frame,,80,
243546,ardour:0,MTC Quarter Frame,,64,
243540,ardour:0,MTC Quarter Frame,,49,
243536,ardour:0,MTC Quarter Frame,,39,
243530,ardour:0,MTC Quarter Frame,,17,
243527,ardour:0,MTC Quarter Frame,,5,
243521,ardour:0,MTC Quarter Frame,,114,
243515,ardour:0,MTC Quarter Frame,,96,
243511,ardour:0,MTC Quarter Frame,,80,
243505,ardour:0,MTC Quarter Frame,,64,
243502,ardour:0,MTC Quarter Frame,,49,
243496,ardour:0,MTC Quarter Frame,,39,
243492,ardour:0,MTC Quarter Frame,,17,
243488,ardour:0,MTC Quarter Frame,,3,
243482,ardour:0,MTC Quarter Frame,,114,
243479,ardour:0,MTC Quarter Frame,,96,
243473,ardour:0,MTC Quarter Frame,,80,
243469,ardour:0,MTC Quarter Frame,,64,
243463,ardour:0,MTC Quarter Frame,,49,
243459,ardour:0,MTC Quarter Frame,,39,
243454,ardour:0,MTC Quarter Frame,,17,
243450,ardour:0,MTC Quarter Frame,,1,
243444,ardour:0,MTC Quarter Frame,,114,
243440,ardour:0,MTC Quarter Frame,,96,
243434,ardour:0,MTC Quarter Frame,,80,
243429,ardour:0,MTC Quarter Frame,,64,
243425,ardour:0,MTC Quarter Frame,,49,
243419,ardour:0,MTC Quarter Frame,,39,
243415,ardour:0,MTC Quarter Frame,,16,
243409,ardour:0,MTC Quarter Frame,,15,
243406,ardour:0,MTC Quarter Frame,,114,
243402,ardour:0,MTC Quarter Frame,,96,
243396,ardour:0,MTC Quarter Frame,,80,
243392,ardour:0,MTC Quarter Frame,,64,
243386,ardour:0,MTC Quarter Frame,,49,
243383,ardour:0,MTC Quarter Frame,,39,
243377,ardour:0,MTC Quarter Frame,,16,
243373,ardour:0,MTC Quarter Frame,,13,
243367,ardour:0,MTC Quarter Frame,,114,
243363,ardour:0,MTC Quarter Frame,,96,
243358,ardour:0,MTC Quarter Frame,,80,
243354,ardour:0,MTC Quarter Frame,,64,
243348,ardour:0,MTC Quarter Frame,,49,
243342,ardour:0,MTC Quarter Frame,,39,
243338,ardour:0,MTC Quarter Frame,,16,
243333,ardour:0,MTC Quarter Frame,,11,
243329,ardour:0,MTC Quarter Frame,,114,
243323,ardour:0,MTC Quarter Frame,,96,
243319,ardour:0,MTC Quarter Frame,,80,
243315,ardour:0,MTC Quarter Frame,,64,
243310,ardour:0,MTC Quarter Frame,,49,
243306,ardour:0,MTC Quarter Frame,,39,
243300,ardour:0,MTC Quarter Frame,,16,
243296,ardour:0,MTC Quarter Frame,,9,
243290,ardour:0,MTC Quarter Frame,,114,
243287,ardour:0,MTC Quarter Frame,,96,
243281,ardour:0,MTC Quarter Frame,,80,
243277,ardour:0,MTC Quarter Frame,,64,
243271,ardour:0,MTC Quarter Frame,,49,
243267,ardour:0,MTC Quarter Frame,,39,
243262,ardour:0,MTC Quarter Frame,,16,
243256,ardour:0,MTC Quarter Frame,,7,
243252,ardour:0,MTC Quarter Frame,,114,
243246,ardour:0,MTC Quarter Frame,,96,
243242,ardour:0,MTC Quarter Frame,,80,
243237,ardour:0,MTC Quarter Frame,,64,
243233,ardour:0,MTC Quarter Frame,,49,
243229,ardour:0,MTC Quarter Frame,,39,
243223,ardour:0,MTC Quarter Frame,,16,
243219,ardour:0,MTC Quarter Frame,,5,
243214,ardour:0,MTC Quarter Frame,,114,
243210,ardour:0,MTC Quarter Frame,,96,
243204,ardour:0,MTC Quarter Frame,,80,
243200,ardour:0,MTC Quarter Frame,,64,
243194,ardour:0,MTC Quarter Frame,,49,
243191,ardour:0,MTC Quarter Frame,,39,
243185,ardour:0,MTC Quarter Frame,,16,
243181,ardour:0,MTC Quarter Frame,,3,
243175,ardour:0,MTC Quarter Frame,,114,
243171,ardour:0,MTC Quarter Frame,,96,
243166,ardour:0,MTC Quarter Frame,,80,
243160,ardour:0,MTC Quarter Frame,,64,
243156,ardour:0,MTC Quarter Frame,,49,
243150,ardour:0,MTC Quarter Frame,,39,
243146,ardour:0,MTC Quarter Frame,,16,
243141,ardour:0,MTC Quarter Frame,,1,
243137,ardour:0,MTC Quarter Frame,,114,
243133,ardour:0,MTC Quarter Frame,,96,
243127,ardour:0,MTC Quarter Frame,,80,
243123,ardour:0,MTC Quarter Frame,,64,
243118,ardour:0,MTC Quarter Frame,,49,
243114,ardour:0,MTC Quarter Frame,,38,
243108,ardour:0,MTC Quarter Frame,,17,
243104,ardour:0,MTC Quarter Frame,,8,
243098,ardour:0,MTC Quarter Frame,,114,
243095,ardour:0,MTC Quarter Frame,,96,
243089,ardour:0,MTC Quarter Frame,,80,
243085,ardour:0,MTC Quarter Frame,,64,
243079,ardour:0,MTC Quarter Frame,,49,
243073,ardour:0,MTC Quarter Frame,,38,
243070,ardour:0,MTC Quarter Frame,,17,
243064,ardour:0,MTC Quarter Frame,,6,
243060,ardour:0,MTC Quarter Frame,,114,
243054,ardour:0,MTC Quarter Frame,,96,
243050,ardour:0,MTC Quarter Frame,,80,
243047,ardour:0,MTC Quarter Frame,,64,
243041,ardour:0,MTC Quarter Frame,,49,
243037,ardour:0,MTC Quarter Frame,,38,
243031,ardour:0,MTC Quarter Frame,,17,
243027,ardour:0,MTC Quarter Frame,,4,
243022,ardour:0,MTC Quarter Frame,,114,
243018,ardour:0,MTC Quarter Frame,,96,
243012,ardour:0,MTC Quarter Frame,,80,
243008,ardour:0,MTC Quarter Frame,,64,
243002,ardour:0,MTC Quarter Frame,,49,
242999,ardour:0,MTC Quarter Frame,,38,
242993,ardour:0,MTC Quarter Frame,,17,
242987,ardour:0,MTC Quarter Frame,,2,
242983,ardour:0,MTC Quarter Frame,,114,
242977,ardour:0,MTC Quarter Frame,,96,
242974,ardour:0,MTC Quarter Frame,,80,
242968,ardour:0,MTC Quarter Frame,,64,
242964,ardour:0,MTC Quarter Frame,,49,
242960,ardour:0,MTC Quarter Frame,,38,
242954,ardour:0,MTC Quarter Frame,,17,
242951,ardour:0,MTC Quarter Frame,,0,
242945,ardour:0,MTC Quarter Frame,,114,
242941,ardour:0,MTC Quarter Frame,,96,
242935,ardour:0,MTC Quarter Frame,,80,
242931,ardour:0,MTC Quarter Frame,,64,
242926,ardour:0,MTC Quarter Frame,,49,
242922,ardour:0,MTC Quarter Frame,,38,
242916,ardour:0,MTC Quarter Frame,,16,
242912,ardour:0,MTC Quarter Frame,,14,
242906,ardour:0,MTC Quarter Frame,,114,
242901,ardour:0,MTC Quarter Frame,,96,
242897,ardour:0,MTC Quarter Frame,,80,
242891,ardour:0,MTC Quarter Frame,,64,
242887,ardour:0,MTC Quarter Frame,,49,
242881,ardour:0,MTC Quarter Frame,,38,
242878,ardour:0,MTC Quarter Frame,,16,
242874,ardour:0,MTC Quarter Frame,,12,
242868,ardour:0,MTC Quarter Frame,,114,
242864,ardour:0,MTC Quarter Frame,,96,
242858,ardour:0,MTC Quarter Frame,,80,
242855,ardour:0,MTC Quarter Frame,,64,
242849,ardour:0,MTC Quarter Frame,,49,
242845,ardour:0,MTC Quarter Frame,,38,
242839,ardour:0,MTC Quarter Frame,,16,
242835,ardour:0,MTC Quarter Frame,,10,
242830,ardour:0,MTC Quarter Frame,,114,
242826,ardour:0,MTC Quarter Frame,,96,
242820,ardour:0,MTC Quarter Frame,,80,
242814,ardour:0,MTC Quarter Frame,,64,
242810,ardour:0,MTC Quarter Frame,,49,
242805,ardour:0,MTC Quarter Frame,,38,
242801,ardour:0,MTC Quarter Frame,,16,
242795,ardour:0,MTC Quarter Frame,,8,
242791,ardour:0,MTC Quarter Frame,,114,
242787,ardour:0,MTC Quarter Frame,,96,
242782,ardour:0,MTC Quarter Frame,,80,
242778,ardour:0,MTC Quarter Frame,,64,
242772,ardour:0,MTC Quarter Frame,,49,
242768,ardour:0,MTC Quarter Frame,,38,
242762,ardour:0,MTC Quarter Frame,,16,
242759,ardour:0,MTC Quarter Frame,,6,
242753,ardour:0,MTC Quarter Frame,,114,
242749,ardour:0,MTC Quarter Frame,,96,
242743,ardour:0,MTC Quarter Frame,,80,
242739,ardour:0,MTC Quarter Frame,,64,
242734,ardour:0,MTC Quarter Frame,,49,
242728,ardour:0,MTC Quarter Frame,,38,
242724,ardour:0,MTC Quarter Frame,,16,
242718,ardour:0,MTC Quarter Frame,,4,
242714,ardour:0,MTC Quarter Frame,,114,
242709,ardour:0,MTC Quarter Frame,,96,
242705,ardour:0,MTC Quarter Frame,,80,
242701,ardour:0,MTC Quarter Frame,,64,
242695,ardour:0,MTC Quarter Frame,,49,
242691,ardour:0,MTC Quarter Frame,,38,
242686,ardour:0,MTC Quarter Frame,,16,
242682,ardour:0,MTC Quarter Frame,,2,
242676,ardour:0,MTC Quarter Frame,,114,
242672,ardour:0,MTC Quarter Frame,,96,
242666,ardour:0,MTC Quarter Frame,,80,
242663,ardour:0,MTC Quarter Frame,,64,
242657,ardour:0,MTC Quarter Frame,,49,
242653,ardour:0,MTC Quarter Frame,,38,
242647,ardour:0,MTC Quarter Frame,,16,
242641,ardour:0,MTC Quarter Frame,,0,
242638,ardour:0,MTC Quarter Frame,,114,
242632,ardour:0,MTC Quarter Frame,,96,
242628,ardour:0,MTC Quarter Frame,,80,
242622,ardour:0,MTC Quarter Frame,,64,
242618,ardour:0,MTC Quarter Frame,,49,
242615,ardour:0,MTC Quarter Frame,,37,
242609,ardour:0,MTC Quarter Frame,,17,
242605,ardour:0,MTC Quarter Frame,,7,
242599,ardour:0,MTC Quarter Frame,,114,
242595,ardour:0,MTC Quarter Frame,,96,
242590,ardour:0,MTC Quarter Frame,,80,
242586,ardour:0,MTC Quarter Frame,,64,
242580,ardour:0,MTC Quarter Frame,,49,
242576,ardour:0,MTC Quarter Frame,,37,
242570,ardour:0,MTC Quarter Frame,,17,
242567,ardour:0,MTC Quarter Frame,,5,
242561,ardour:0,MTC Quarter Frame,,114,
242557,ardour:0,MTC Quarter Frame,,96,
242551,ardour:0,MTC Quarter Frame,,80,
242545,ardour:0,MTC Quarter Frame,,64,
242542,ardour:0,MTC Quarter Frame,,49,
242536,ardour:0,MTC Quarter Frame,,37,
242532,ardour:0,MTC Quarter Frame,,17,
242526,ardour:0,MTC Quarter Frame,,3,
242522,ardour:0,MTC Quarter Frame,,114,
242519,ardour:0,MTC Quarter Frame,,96,
242513,ardour:0,MTC Quarter Frame,,80,
242509,ardour:0,MTC Quarter Frame,,64,
242503,ardour:0,MTC Quarter Frame,,49,
242499,ardour:0,MTC Quarter Frame,,37,
242494,ardour:0,MTC Quarter Frame,,17,
242490,ardour:0,MTC Quarter Frame,,1,
242484,ardour:0,MTC Quarter Frame,,114,
242480,ardour:0,MTC Quarter Frame,,96,
242474,ardour:0,MTC Quarter Frame,,80,
242471,ardour:0,MTC Quarter Frame,,64,
242465,ardour:0,MTC Quarter Frame,,49,
242459,ardour:0,MTC Quarter Frame,,37,
242455,ardour:0,MTC Quarter Frame,,16,
242449,ardour:0,MTC Quarter Frame,,15,
242446,ardour:0,MTC Quarter Frame,,114,
242440,ardour:0,MTC Quarter Frame,,96,
242436,ardour:0,MTC Quarter Frame,,80,
242432,ardour:0,MTC Quarter Frame,,64,
242426,ardour:0,MTC Quarter Frame,,49,
242423,ardour:0,MTC Quarter Frame,,37,
242417,ardour:0,MTC Quarter Frame,,16,
242413,ardour:0,MTC Quarter Frame,,13,
242407,ardour:0,MTC Quarter Frame,,114,
242403,ardour:0,MTC Quarter Frame,,96,
242398,ardour:0,MTC Quarter Frame,,80,
242394,ardour:0,MTC Quarter Frame,,64,
242388,ardour:0,MTC Quarter Frame,,49,
242384,ardour:0,MTC Quarter Frame,,37,
242378,ardour:0,MTC Quarter Frame,,16,
242373,ardour:0,MTC Quarter Frame,,11,
242369,ardour:0,MTC Quarter Frame,,114,
242363,ardour:0,MTC Quarter Frame,,96,
242359,ardour:0,MTC Quarter Frame,,80,
242353,ardour:0,MTC Quarter Frame,,64,
242350,ardour:0,MTC Quarter Frame,,49,
242346,ardour:0,MTC Quarter Frame,,37,
242340,ardour:0,MTC Quarter Frame,,16,
242336,ardour:0,MTC Quarter Frame,,9,
242330,ardour:0,MTC Quarter Frame,,114,
242327,ardour:0,MTC Quarter Frame,,96,
242321,ardour:0,MTC Quarter Frame,,80,
242317,ardour:0,MTC Quarter Frame,,64,
242311,ardour:0,MTC Quarter Frame,,49,
242307,ardour:0,MTC Quarter Frame,,37,
242302,ardour:0,MTC Quarter Frame,,16,
242298,ardour:0,MTC Quarter Frame,,7,
242292,ardour:0,MTC Quarter Frame,,114,
242286,ardour:0,MTC Quarter Frame,,96,
242282,ardour:0,MTC Quarter Frame,,80,
242277,ardour:0,MTC Quarter Frame,,64,
242273,ardour:0,MTC Quarter Frame,,49,
242267,ardour:0,MTC Quarter Frame,,37,
242263,ardour:0,MTC Quarter Frame,,16,
242259,ardour:0,MTC Quarter Frame,,5,
242254,ardour:0,MTC Quarter Frame,,114,
242250,ardour:0,MTC Quarter Frame,,96,
242244,ardour:0,MTC Quarter Frame,,80,
242240,ardour:0,MTC Quarter Frame,,64,
242234,ardour:0,MTC Quarter Frame,,49,
242231,ardour:0,MTC Quarter Frame,,37,
242225,ardour:0,MTC Quarter Frame,,16,
242221,ardour:0,MTC Quarter Frame,,3,
242215,ardour:0,MTC Quarter Frame,,114,
242211,ardour:0,MTC Quarter Frame,,96,
242206,ardour:0,MTC Quarter Frame,,80,
242200,ardour:0,MTC Quarter Frame,,64,
242196,ardour:0,MTC Quarter Frame,,49,
242190,ardour:0,MTC Quarter Frame,,37,
242186,ardour:0,MTC Quarter Frame,,16,
242181,ardour:0,MTC Quarter Frame,,1,
242177,ardour:0,MTC Quarter Frame,,114,
242173,ardour:0,MTC Quarter Frame,,96,
242167,ardour:0,MTC Quarter Frame,,80,
242163,ardour:0,MTC Quarter Frame,,64,
242158,ardour:0,MTC Quarter Frame,,49,
242154,ardour:0,MTC Quarter Frame,,36,
242148,ardour:0,MTC Quarter Frame,,17,
242144,ardour:0,MTC Quarter Frame,,8,
242138,ardour:0,MTC Quarter Frame,,114,
242135,ardour:0,MTC Quarter Frame,,96,
242129,ardour:0,MTC Quarter Frame,,80,
242125,ardour:0,MTC Quarter Frame,,64,
242119,ardour:0,MTC Quarter Frame,,49,
242113,ardour:0,MTC Quarter Frame,,36,
242110,ardour:0,MTC Quarter Frame,,17,
242104,ardour:0,MTC Quarter Frame,,6,
242100,ardour:0,MTC Quarter Frame,,114,
242094,ardour:0,MTC Quarter Frame,,96,
242090,ardour:0,MTC Quarter Frame,,80,
242087,ardour:0,MTC Quarter Frame,,64,
242081,ardour:0,MTC Quarter Frame,,49,
242077,ardour:0,MTC Quarter Frame,,36,
242071,ardour:0,MTC Quarter Frame,,17,
242067,ardour:0,MTC Quarter Frame,,4,
242062,ardour:0,MTC Quarter Frame,,114,
242058,ardour:0,MTC Quarter Frame,,96,
242052,ardour:0,MTC Quarter Frame,,80,
242048,ardour:0,MTC Quarter Frame,,64,
242042,ardour:0,MTC Quarter Frame,,49,
242039,ardour:0,MTC Quarter Frame,,36,
242033,ardour:0,MTC Quarter Frame,,17,
242027,ardour:0,MTC Quarter Frame,,2,
242023,ardour:0,MTC Quarter Frame,,114,
242017,ardour:0,MTC Quarter Frame,,96,
242014,ardour:0,MTC Quarter Frame,,80,
242008,ardour:0,MTC Quarter Frame,,64,
242004,ardour:0,MTC Quarter Frame,,49,
242000,ardour:0,MTC Quarter Frame,,36,
241994,ardour:0,MTC Quarter Frame,,17,
241991,ardour:0,MTC Quarter Frame,,0,
241985,ardour:0,MTC Quarter Frame,,114,
241981,ardour:0,MTC Quarter Frame,,96,
241975,ardour:0,MTC Quarter Frame,,80,
241971,ardour:0,MTC Quarter Frame,,64,
241966,ardour:0,MTC Quarter Frame,,49,
241962,ardour:0,MTC Quarter Frame,,36,
241956,ardour:0,MTC Quarter Frame,,16,
241952,ardour:0,MTC Quarter Frame,,14,
241946,ardour:0,MTC Quarter Frame,,114,
241943,ardour:0,MTC Quarter Frame,,96,
241937,ardour:0,MTC Quarter Frame,,80,
241931,ardour:0,MTC Quarter Frame,,64,
241927,ardour:0,MTC Quarter Frame,,49,
241921,ardour:0,MTC Quarter Frame,,36,
241918,ardour:0,MTC Quarter Frame,,16,
241912,ardour:0,MTC Quarter Frame,,12,
241908,ardour:0,MTC Quarter Frame,,114,
241904,ardour:0,MTC Quarter Frame,,96,
241898,ardour:0,MTC Quarter Frame,,80,
241895,ardour:0,MTC Quarter Frame,,64,
241889,ardour:0,MTC Quarter Frame,,49,
241885,ardour:0,MTC Quarter Frame,,36,
241883,ardour:0,MTC Quarter Frame,,16,
241883,ardour:0,MTC Quarter Frame,,10,
241883,ardour:0,MTC Quarter Frame,,114,
241877,ardour:0,MTC Quarter Frame,,96,
241873,ardour:0,MTC Quarter Frame,,80,
241868,ardour:0,MTC Quarter Frame,,64,
241864,ardour:0,MTC Quarter Frame,,49,
241858,ardour:0,MTC Quarter Frame,,36,
241854,ardour:0,MTC Quarter Frame,,16,
241848,ardour:0,MTC Quarter Frame,,8,
241847,ardour:0,Universal Real Time SysEx,broadcast,MMC,Deferred Play
241847,UM-1SX:0,Universal Real Time SysEx,broadcast,MMC,Play
232216,ardour:0,Control change,1,8,49
232072,ardour:0,Control change,1,8,48
232049,ardour:0,Control change,1,8,49
232033,ardour:0,Control change,1,8,51
232028,ardour:0,Control change,1,8,52
232022,ardour:0,Control change,1,8,53
232010,ardour:0,Control change,1,8,56
232005,ardour:0,Control change,1,8,57
231993,ardour:0,Control change,1,8,58
231984,ardour:0,Control change,1,8,59
231966,ardour:0,Control change,1,8,60
231932,ardour:0,Control change,1,8,61
231911,ardour:0,Control change,1,8,62
231899,ardour:0,Control change,1,8,63
231888,ardour:0,Control change,1,8,64
231876,ardour:0,Control change,1,8,65
231861,ardour:0,Control change,1,8,66
231855,ardour:0,Control change,1,8,67
231843,ardour:0,Control change,1,8,68
231838,ardour:0,Control change,1,8,69
231826,ardour:0,Control change,1,8,70
231820,ardour:0,Control change,1,8,71
231816,ardour:0,Control change,1,8,72
231811,ardour:0,Control change,1,8,73
231799,ardour:0,Control change,1,8,74
231788,ardour:0,Control change,1,8,75
231776,ardour:0,Control change,1,8,76
231770,ardour:0,Control change,1,8,77
231765,ardour:0,Control change,1,8,78
231759,ardour:0,Control change,1,8,79
231755,ardour:0,Control change,1,8,80
231749,ardour:0,Control change,1,8,81
231738,ardour:0,Control change,1,8,82
231732,ardour:0,Control change,1,8,83
231726,ardour:0,Control change,1,8,84
231676,ardour:0,Control change,1,8,85
231665,ardour:0,Control change,1,8,84
231659,ardour:0,Control change,1,8,83
231653,ardour:0,Control change,1,8,82
231648,ardour:0,Control change,1,8,81
231644,ardour:0,Control change,1,8,80
231638,ardour:0,Control change,1,8,79
231632,ardour:0,Control change,1,8,78
231626,ardour:0,Control change,1,8,77
231615,ardour:0,Control change,1,8,76
231603,ardour:0,Control change,1,8,75
231592,ardour:0,Control change,1,8,74
231576,ardour:0,Control change,1,8,73
231571,ardour:0,Control change,1,8,71
231565,ardour:0,Control change,1,8,68
231559,ardour:0,Control change,1,8,66
231553,ardour:0,Control change,1,8,65
231548,ardour:0,Control change,1,8,63
231504,ardour:0,Control change,1,8,62
231492,ardour:0,Control change,1,8,61
230628,ardour:0,Control change,1,7,46
230613,ardour:0,Control change,1,7,47
230601,ardour:0,Control change,1,7,48
230584,ardour:0,Control change,1,7,49
230578,ardour:0,Control change,1,7,50
230567,ardour:0,Control change,1,7,51
230561,ardour:0,Control change,1,7,52
230557,ardour:0,Control change,1,7,53
230545,ardour:0,Control change,1,7,54
230540,ardour:0,Control change,1,7,55
230534,ardour:0,Control change,1,7,56
230528,ardour:0,Control change,1,7,57
230517,ardour:0,Control change,1,7,58
230505,ardour:0,Control change,1,7,59
230496,ardour:0,Control change,1,7,60
230484,ardour:0,Control change,1,7,62
230478,ardour:0,Control change,1,7,63
230467,ardour:0,Control change,1,7,65
230461,ardour:0,Control change,1,7,66
230455,ardour:0,Control change,1,7,67
230449,ardour:0,Control change,1,7,68
230444,ardour:0,Control change,1,7,69
230440,ardour:0,Control change,1,7,70
230428,ardour:0,Control change,1,7,71
230417,ardour:0,Control change,1,7,73
230405,ardour:0,Control change,1,7,75
230338,ardour:0,Control change,1,7,76
230332,ardour:0,Control change,1,7,75
230327,ardour:0,Control change,1,7,74
230323,ardour:0,Control change,1,7,73
230317,ardour:0,Control change,1,7,72
230305,ardour:0,Control change,1,7,71
230300,ardour:0,Control change,1,7,70
230261,ardour:0,Control change,1,7,69
230256,ardour:0,Control change,1,7,66
230250,ardour:0,Control change,1,7,65
230244,ardour:0,Control change,1,7,64
230232,ardour:0,Control change,1,7,61
230221,ardour:0,Control change,1,7,59
230211,ardour:0,Control change,1,7,58
230194,ardour:0,Control change,1,7,57
230183,ardour:0,Control change,1,7,56
230171,ardour:0,Control change,1,7,55
230160,ardour:0,Control change,1,7,54
167518,UM-1SX:0,Control change,1,8,60
167498,UM-1SX:0,Control change,1,8,61
167479,UM-1SX:0,Control change,1,8,62
167460,UM-1SX:0,Control change,1,8,63
167441,UM-1SX:0,Control change,1,8,64
167422,UM-1SX:0,Control change,1,8,66
167402,UM-1SX:0,Control change,1,8,67
167383,UM-1SX:0,Control change,1,8,68
167306,UM-1SX:0,Control change,1,8,70
167268,UM-1SX:0,Control change,1,8,69
167249,UM-1SX:0,Control change,1,8,68
167230,UM-1SX:0,Control change,1,8,67
167210,UM-1SX:0,Control change,1,8,66
167191,UM-1SX:0,Control change,1,8,65
167134,UM-1SX:0,Control change,1,8,63
167114,UM-1SX:0,Control change,1,8,62
167095,UM-1SX:0,Control change,1,8,61
166634,UM-1SX:0,Control change,1,7,52
166538,UM-1SX:0,Control change,1,7,54
166519,UM-1SX:0,Control change,1,7,55
166500,UM-1SX:0,Control change,1,7,56
166366,UM-1SX:0,Control change,1,7,58
166327,UM-1SX:0,Control change,1,7,57
166308,UM-1SX:0,Control change,1,7,56
166289,UM-1SX:0,Control change,1,7,55
166250,UM-1SX:0,Control change,1,7,54
166116,UM-1SX:0,Control change,1,7,51
155237,System:1,ALSA Port subscribed,,ardour:0,KMidimon:0
155237,System:1,ALSA Port subscribed,,UM-1SX:0,KMidimon:0
midimon_crashtest.txt (52,693 bytes)

qharley

2009-01-28 07:32

reporter   ~0005666

I have just uploaded the output of a midi monitor I put on the port involved in the collision, if it will help.

Last messages are on top.

Breakdown of the session:
1) connection
2) control from the desk while transport stationary (successful)
3) control from ardour while transport stationary (successful)
4) control from desk while transport running (successful)
5) control from ardour while transport running (crash)
6) automatic disconnection

Hope this helps a bit.

Cheers,
Q

qharley

2009-01-28 07:39

reporter   ~0005667

I'm just thinking now that it might be a problem involving some kind of collision between MTC and control, rather than a bug in the control protocol. The midi messages from ardour just before the crash looks a bit erratic...

my 2c

qharley

2009-01-28 07:55

reporter   ~0005668

Last edited: 2009-01-28 07:56

By the way, you should not need a desk with motorised faders to reproduce...

I just disconnected the midi connection, and ardour still crashes when you try to move a fader (in the ardour mixer window) while transport is running (and Ardour is sending MTC)

Make sure the following are enabled in your settings:

Options --> Sync --> Send MTC, Send MMC

qharley

2009-01-28 10:51

reporter   ~0005670

One more thing:

You should have these two settings enabled as well:

Options --> Control surfaces --> Generic MIDI
and
Options --> Control surfaces --> Controls --> Feedback

Now you should not fail to get a failure!

qharley

2009-01-30 05:56

reporter   ~0005681

Any more info required from me at this time?

qharley

2009-02-03 13:38

reporter   ~0005685

I am now convinced that the problem lies in the interaction between the MTC send and the control surface feedback code blocks. The error that frequently appear just before it bombs out is:

Session: cannot send quarter-frame MTC message

2009-02-08 21:06

 

midi4499.patch (1,410 bytes)
diff -crB 2.0-ongoing-4499/libs/midi++2/alsa_sequencer_midiport.cc 2.0-ongoing-4499_patch/libs/midi++2/alsa_sequencer_midiport.cc
*** 2.0-ongoing-4499/libs/midi++2/alsa_sequencer_midiport.cc	2009-02-08 22:42:57.000000000 +0200
--- 2.0-ongoing-4499_patch/libs/midi++2/alsa_sequencer_midiport.cc	2009-02-08 23:02:41.000000000 +0200
***************
*** 45,50 ****
--- 45,51 ----
  using namespace PBD;
  
  snd_seq_t* ALSA_SequencerMidiPort::seq = 0;
+ char alsa_port_write = 0;
  
  ALSA_SequencerMidiPort::ALSA_SequencerMidiPort (const XMLNode& node)
  	: Port (node)
***************
*** 102,107 ****
--- 103,113 ----
  	TR_FN ();
  	int R;
  	int totwritten = 0;
+ 	
+ 	if(alsa_port_write)  	// Abort if the port is still being written to by another instance 
+ 		return totwritten;
+ 	alsa_port_write = 1;		// Initiate the instance 
+ 	
  	snd_midi_event_reset_encode (encoder);
  	int nwritten = snd_midi_event_encode (encoder, msg, msglen, &SEv);
  	TR_VAL (nwritten);
***************
*** 119,124 ****
--- 125,131 ----
  			}
  		} else {
  			TR_VAL(R);
+ 			alsa_port_write = 0;  // Code added to only enable a single ALSA port write 
  			return R;
  		}
  
***************
*** 133,138 ****
--- 140,146 ----
  		}
  	}
  
+ 	alsa_port_write = 0;  // Code added to only enable a single ALSA port write 
  	return totwritten;
  }
  
Only in 2.0-ongoing-4499_patch/libs/midi++2: alsa_sequencer_midiport.cc~
midi4499.patch (1,410 bytes)

qharley

2009-02-08 21:14

reporter   ~0005689

Right... I have added a small patch to the uploads. The patch was built against 4499 release of 2.0-ongoing

When applied prevents the alsa port::write routine to be called run twice at the same time. The second called gets returned. It is not an elegant solution, as the rejected caller complains, but at least it runs without crashing!

This reinforces my initial though that the data pushed to alsa get garbled - and it would if it is written to by the same app at the same time, twice.

So, what we need is an elegant way of preventing the routine to be run at the same time by two threads, without the second in line being kicked out as I am doing in the patch.

This bug is about to be squashed... I can feel it.

qharley

2009-02-08 21:26

reporter   ~0005690

Perhaps some kind of midi queue would do the trick. The port write command just pushes another item in the queue and another dedicated midi handler just pushes the fifo midi buffer as fast as it can... Would this be problematic for latency in 3.0?

qharley

2009-02-16 05:43

reporter   ~0005719

Would it be too much to ask for a fix in the upcoming 2.x release? This has been bugging me ever since the 2.0 RC, and though I have a workaround I would love to use it as intended. My patch keeps the thing from crashing - just not very elegantly.

2009-02-17 13:56

 

midi.patch (430 bytes)
diff --git a/libs/ardour/session_process.cc b/libs/ardour/session_process.cc
index 5891be2..1d12e04 100644
--- a/libs/ardour/session_process.cc
+++ b/libs/ardour/session_process.cc
@@ -55,7 +55,11 @@ Session::process (nframes_t nframes)
 	
 	(this->*process_function) (nframes);
 
-	SendFeedback (); /* EMIT SIGNAL */
+
+	{
+		Glib::Mutex::Lock lm (midi_lock, Glib::TRY_LOCK);
+		SendFeedback (); /* EMIT SIGNAL */
+	}
 }
 
 void
midi.patch (430 bytes)

cth103

2009-02-17 13:57

administrator   ~0005721

I'm having a little trouble reproducing, but the attached 'midi.patch' may fix the problem, perhaps you could give it a try?

qharley

2009-02-17 18:33

reporter   ~0005723

The patch works 95% - Thanks! There is now only two side effects:

1) when a large group of faders are grouped in ardour, it causes some "stickyness" when controlled from the desk.

2) When the group is controlled from within ardour it works fine, but after about 30s to 1 min dies in a segfault. Perhaps you need to apply a similar trick to make sure channel info is also not written at the same time.

The only thing outstanding now (which I could not test before) is that the desk does not function as a input device if ardour is in touch mode. It follows automation fine, but ardour seems not to listen to it...

It does work perfectly if ardour is in write mode, and ardour controls it perfectly in play mode. If I may be so bold to ask for this "Touch" mode...
The bug is largely squashed - Thanks.

seablade

2009-02-17 19:00

manager   ~0005724

Sorry my free time has been out the window the past couple of weeks, which is both good and bad. Thanks to Carl for beating me to it here.

The problem with Touch mode, is it depends on a Touch MIDI signal, which the vast majority of standard MIDI surfaces do not have, and those that do may or may not follow a standard with it. It is being discussed in a different bug report that I can dig up a link to if you want in ways to bind Midi controls including TOUCH compatibility for those controls that do have it.

So the reason that TOUCH mode is likely not working for you, is because it never receives a TOUCH signal to tell it to start listening. Even if your desk sent one, there isn't currently a way to bind it. So for the time being, it is likely 'working as intended' unless I misunderstood something.

I am hoping to start working in 3.0 soon myself to see if I can address some of these issues(Touch bindings as well as things like binding binary controls better), but both a blessing and a curse has come in recently to where I started doing some work, however small, again, and that ate up my recent free time. So either I have an income or I have time to try to work my way through Ardour's code;)

      Seablade

PS Carl you have commit privileges now right so I don't need to assign this to Paul for verification?

qharley

2009-02-17 19:27

reporter   ~0005725

Thanks. I'll drop the Sponsorship via a donation on payday (25th)

It is working pretty much as intended and I thank all involved (especially Carl).
I'll keep an eye on the additional segfaults, and open a new ticket with a backtrace when it happens.

Consider the mantis fed.

cth103

2009-02-17 22:45

administrator   ~0005726

Hi all,

Glad that patch helps. qharley, if you can get a backtrace for the new intermittent segfault that'd be good. Sounds like another threading thing. Seablade, yes, I could commit but I need to check things with paul as my patch is rather unpleasant in some ways.

Carl

2009-02-18 22:11

 

Ardour_backtrace.txt (19,996 bytes)
(gdb) run
Starting program: /home/qharley/source/ardour-svn/2.0-ongoing/gtk2_ardour/ardour-2.7.1 
[Thread debugging using libthread_db enabled]
Ardour/GTK 2.7.1
   (built using 4614 and GCC version 4.2.4 (Ubuntu 4.2.4-1ubuntu3))
Copyright (C) 1999-2008 Paul Davis
Some portions Copyright (C) Steve Harris, Ari Johnson, Brett Viren, Joel Baker

Ardour comes with ABSOLUTELY NO WARRANTY
not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
This is free software, and you are welcome to redistribute it 
under certain conditions; see the source for copying conditions.
[New Thread 0x7f99819d3710 (LWP 11995)]
theme_init() called from internal clearlooks engine
/usr/share/themes/Clearlooks/gtk-2.0/gtkrc:67: error: unexpected identifier `colorize_scrollbar', expected character `}'
loading default ui configuration file gtk2_ardour/ardour2_ui_default.conf
loading user ui configuration file /home/qharley/.ardour2/ardour2_ui.conf
Loading ui configuration file gtk2_ardour/ardour2_ui_dark.rc
theme_init() called from internal clearlooks engine
ardour: [INFO]: Ardour will be limited to 1024 open files
loading system configuration file ./ardour_system.rc
loading user configuration file /home/qharley/.ardour2/ardour.rc
ardour: [INFO]: Using SSE optimized routines
[New Thread 0x414c5950 (LWP 11998)]
[New Thread 0x42452950 (LWP 11999)]
[New Thread 0x42c53950 (LWP 12000)]
ardour: [INFO]: looking for control protocols in /home/qharley/.ardour2/surfaces/:/usr/local/lib64/ardour2/surfaces/
powermate: Opening of powermate failed - No such file or directory
ardour: [INFO]: Control protocol powermate not usable
ardour: [INFO]: Control surface protocol discovered: "Generic MIDI"
ardour: [INFO]: Control surface protocol discovered: "Mackie"
[New Thread 0x43454950 (LWP 12001)]
[New Thread 0x43c55950 (LWP 12002)]
[New Thread 0x44456950 (LWP 12003)]
[New Thread 0x44c57950 (LWP 12004)]
[New Thread 0x45458950 (LWP 12005)]
[New Thread 0x45c59950 (LWP 12006)]
[New Thread 0x4645a950 (LWP 12007)]
Cannot read socket fd = 18 err = Success
Cannot read socket fd = 18 err = Success
JackSocketClientChannel read fail
[Thread 0x4645a950 (LWP 12007) exited]
[New Thread 0x4645a950 (LWP 12008)]
[Thread 0x4645a950 (LWP 12008) exited]
[Thread 0x43c55950 (LWP 12002) exited]
[Thread 0x45458950 (LWP 12005) exited]
[Thread 0x44456950 (LWP 12003) exited]
[Thread 0x43454950 (LWP 12001) exited]
[Thread 0x44c57950 (LWP 12004) exited]
[New Thread 0x44c57950 (LWP 12011)]
loading bindings from gtk2_ardour/mnemonic-us.bindings
[New Thread 0x43454950 (LWP 12014)]
[New Thread 0x4084ba70 (LWP 12015)]
Loading session /home/qharley/crashtest using snapshot crashtest (1)
[New Thread 0x41732a70 (LWP 12016)]
[New Thread 0x41b72a70 (LWP 12017)]
Loading history from '/home/qharley/crashtest/crashtest.history'.
[Thread 0x45c59950 (LWP 12006) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f99819d3710 (LWP 11995)]
0x00007f997be06040 in sigc::internal::trackable_callback_list::remove_callback
    (this=0x7f995eb8eb50, data=0x7f99541ec520)
    at libs/sigc++2/sigc++/trackable.cc:117
117	    if ((*i).data_ == data)
(gdb) thread apply all bt

Thread 17 (Thread 0x41b72a70 (LWP 12017)):
#0  0x00007f997a245c86 in poll () from /lib/libc.so.6
#1  0x00007f99815bf036 in ARDOUR::Session::midi_thread_work (
    this=0x7f995c30eb50) at libs/ardour/session_midi.cc:1223
#2  0x00007f99815bf569 in ARDOUR::Session::_midi_thread_work (
    arg=0x7f995c30eb50) at libs/ardour/session_midi.cc:1141
#3  0x00007f997a4df3f7 in start_thread () from /lib/libpthread.so.0
#4  0x00007f997a24eb3d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x41732a70 (LWP 12016)):
#0  0x00007f997a245c86 in poll () from /lib/libc.so.6
#1  0x00007f998156322f in ARDOUR::Session::butler_thread_work (
    this=0x7f995c30eb50) at libs/ardour/session_butler.cc:179
#2  0x00007f9981563f6a in ARDOUR::Session::_butler_thread_work (
    arg=0x7f995c30eb50) at libs/ardour/session_butler.cc:159
#3  0x00007f997a4df3f7 in start_thread () from /lib/libpthread.so.0
#4  0x00007f997a24eb3d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x4084ba70 (LWP 12015)):
#0  0x00007f997a4e6e81 in nanosleep () from /lib/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#1  0x00007f997f1e1948 in g_usleep () from /usr/lib/libglib-2.0.so.0
#2  0x00007f997ef60241 in Glib::usleep (microseconds=10000)
    at libs/glibmm2/glibmm/timer.cc:68
#3  0x00007f9981442434 in ARDOUR::AudioEngine::meter_thread (
    this=0x7f995c06fea0) at libs/ardour/audioengine.cc:434
#4  0x00007f9981446689 in sigc::bound_mem_functor0<void, ARDOUR::AudioEngine>::operator() (this=0x26b9098) at libs/sigc++2/sigc++/functors/mem_fun.h:1787
#5  0x00007f99814466a5 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ARDOUR::AudioEngine> >::operator() (this=0x26b9090)
    at libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#6  0x00007f99814466c9 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ARDOUR::AudioEngine>, void>::call_it (rep=0x26b9060)
    at libs/sigc++2/sigc++/functors/slot.h:103
#7  0x0000000000804c99 in sigc::slot0<void>::operator() (this=0x26b9040)
    at libs/sigc++2/sigc++/functors/slot.h:440
#8  0x00007f997ef58c94 in call_thread_entry_slot (data=0x26b9040)
    at libs/glibmm2/glibmm/thread.cc:43
#9  0x00007f997f1df224 in ?? () from /usr/lib/libglib-2.0.so.0
#10 0x00007f997a4df3f7 in start_thread () from /lib/libpthread.so.0
#11 0x00007f997a24eb3d in clone () from /lib/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x43454950 (LWP 12014)):
---Type <return> to continue, or q <return> to quit---
#0  0x00007f997a245c86 in poll () from /lib/libc.so.6
#1  0x00007f997d013b4b in Jack::JackFifo::TimedWait ()
   from /usr/lib/libjack.so.0
#2  0x00007f997d00bb9d in Jack::JackConnectionManager::SuspendRefNum ()
   from /usr/lib/libjack.so.0
#3  0x00007f997d00ae81 in Jack::JackClient::Wait () from /usr/lib/libjack.so.0
#4  0x00007f997d00ad01 in Jack::JackClient::Execute ()
   from /usr/lib/libjack.so.0
#5  0x00007f997d014d8d in Jack::JackPosixThread::ThreadHandler ()
   from /usr/lib/libjack.so.0
#6  0x00007f997a4df3f7 in start_thread () from /lib/libpthread.so.0
#7  0x00007f997a24eb3d in clone () from /lib/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x44c57950 (LWP 12011)):
#0  0x00007f997a4e65cb in read () from /lib/libpthread.so.0
#1  0x00007f997d016a0f in Jack::JackClientSocket::Read ()
   from /usr/lib/libjack.so.0
#2  0x00007f997d01741d in Jack::JackSocketClientChannel::Execute ()
   from /usr/lib/libjack.so.0
#3  0x00007f997d014d8d in Jack::JackPosixThread::ThreadHandler ()
   from /usr/lib/libjack.so.0
#4  0x00007f997a4df3f7 in start_thread () from /lib/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#5  0x00007f997a24eb3d in clone () from /lib/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x42c53950 (LWP 12000)):
#0  0x00007f997a4e3b99 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#1  0x00007f997ef5825e in Glib::Cond::wait (this=0x1a7c6c0, 
    mutex=@0x7f998190a2c0) at libs/glibmm2/glibmm/thread.cc:362
#2  0x00007f9981423a86 in ARDOUR::Analyser::work ()
    at libs/ardour/analyser.cc:85
#3  0x00007f9981423b9f in analyser_work () at libs/ardour/analyser.cc:49
#4  0x0000000000b8bb3d in sigc::pointer_functor0<void>::operator() (
    this=0x1a7c778) at libs/sigc++2/sigc++/functors/ptr_fun.h:77
#5  0x0000000000b8bb59 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1a7c770) at libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#6  0x0000000000b8bb7d in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1a7c740) at libs/sigc++2/sigc++/functors/slot.h:103
#7  0x0000000000804c99 in sigc::slot0<void>::operator() (this=0x1a7c720)
    at libs/sigc++2/sigc++/functors/slot.h:440
#8  0x00007f997ef58c94 in call_thread_entry_slot (data=0x1a7c720)
    at libs/glibmm2/glibmm/thread.cc:43
#9  0x00007f997f1df224 in ?? () from /usr/lib/libglib-2.0.so.0
#10 0x00007f997a4df3f7 in start_thread () from /lib/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#11 0x00007f997a24eb3d in clone () from /lib/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x42452950 (LWP 11999)):
#0  0x00007f997a4e3b99 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#1  0x00007f997ef5825e in Glib::Cond::wait (this=0x1a7c0b0, 
    mutex=@0x7f998190aae0) at libs/glibmm2/glibmm/thread.cc:362
#2  0x00007f99815f8b52 in peak_thread_work ()
    at libs/ardour/source_factory.cc:65
#3  0x0000000000b8bb3d in sigc::pointer_functor0<void>::operator() (
    this=0x1a7c528) at libs/sigc++2/sigc++/functors/ptr_fun.h:77
#4  0x0000000000b8bb59 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1a7c520) at libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#5  0x0000000000b8bb7d in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1a7c4f0) at libs/sigc++2/sigc++/functors/slot.h:103
#6  0x0000000000804c99 in sigc::slot0<void>::operator() (this=0x1a7c4d0)
    at libs/sigc++2/sigc++/functors/slot.h:440
#7  0x00007f997ef58c94 in call_thread_entry_slot (data=0x1a7c4d0)
    at libs/glibmm2/glibmm/thread.cc:43
#8  0x00007f997f1df224 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0x00007f997a4df3f7 in start_thread () from /lib/libpthread.so.0
#10 0x00007f997a24eb3d in clone () from /lib/libc.so.6
---Type <return> to continue, or q <return> to quit---
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x414c5950 (LWP 11998)):
#0  0x00007f997a4e3b99 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#1  0x00007f997ef5825e in Glib::Cond::wait (this=0x1a7c0b0, 
    mutex=@0x7f998190aae0) at libs/glibmm2/glibmm/thread.cc:362
#2  0x00007f99815f8b52 in peak_thread_work ()
    at libs/ardour/source_factory.cc:65
#3  0x0000000000b8bb3d in sigc::pointer_functor0<void>::operator() (
    this=0x1a7c338) at libs/sigc++2/sigc++/functors/ptr_fun.h:77
#4  0x0000000000b8bb59 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1a7c330) at libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#5  0x0000000000b8bb7d in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1a7c300) at libs/sigc++2/sigc++/functors/slot.h:103
#6  0x0000000000804c99 in sigc::slot0<void>::operator() (this=0x1a7c2e0)
    at libs/sigc++2/sigc++/functors/slot.h:440
#7  0x00007f997ef58c94 in call_thread_entry_slot (data=0x1a7c2e0)
    at libs/glibmm2/glibmm/thread.cc:43
#8  0x00007f997f1df224 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0x00007f997a4df3f7 in start_thread () from /lib/libpthread.so.0
#10 0x00007f997a24eb3d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()
---Type <return> to continue, or q <return> to quit---

Thread 1 (Thread 0x7f99819d3710 (LWP 11995)):
#0  0x00007f997be06040 in sigc::internal::trackable_callback_list::remove_callback (this=0x7f995eb8eb50, data=0x7f99541ec520)
    at libs/sigc++2/sigc++/trackable.cc:117
#1  0x00007f997be063a1 in sigc::trackable::remove_destroy_notify_callback (
    this=0x7f995eb86b70, data=0x7f99541ec520)
    at libs/sigc++2/sigc++/trackable.cc:61
#2  0x000000000080e574 in sigc::internal::slot_do_unbind::operator() (
    this=0x7fff89b273e0, t=0x7f995eb86b70)
    at libs/sigc++2/sigc++/functors/slot_base.h:166
#3  0x000000000080e593 in sigc::internal::with_type_pointer<true, sigc::trackable, sigc::internal::limit_derived_target<sigc::trackable*, sigc::internal::slot_do_unbind> >::execute_ (_A_type=@0x7f995eb86b70, _A_action=@0x7fff89b273e0)
    at libs/sigc++2/sigc++/visit_each.h:88
#4  0x000000000080e5b3 in sigc::internal::limit_derived_target<sigc::trackable*, sigc::internal::slot_do_unbind>::operator()<sigc::trackable> (
    this=0x7fff89b273e0, _A_type=@0x7f995eb86b70)
    at libs/sigc++2/sigc++/visit_each.h:100
#5  0x000000000080e5d3 in sigc::visit_each<sigc::internal::limit_derived_target<sigc::trackable*, sigc::internal::slot_do_unbind>, sigc::trackable> (
    _A_action=@0x7fff89b273e0, _A_functor=@0x7f995eb86b70)
    at libs/sigc++2/sigc++/visit_each.h:144
---Type <return> to continue, or q <return> to quit---
#6  0x0000000000a78e2d in sigc::visit_each<sigc::internal::limit_derived_target<sigc::trackable*, sigc::internal::slot_do_unbind>, GainMeterBase, true> (
    _A_action=@0x7fff89b273e0, _A_target=@0x7f99541ec568)
    at libs/sigc++2/sigc++/limit_reference.h:121
#7  0x0000000000a78e51 in sigc::visit_each<sigc::internal::limit_derived_target<sigc::trackable*, sigc::internal::slot_do_unbind>, void, GainMeterBase> (
    _A_action=@0x7fff89b273e0, _A_target=@0x7f99541ec558)
    at libs/sigc++2/sigc++/functors/mem_fun.h:1806
#8  0x0000000000a78e75 in sigc::visit_each<sigc::internal::limit_derived_target<sigc::trackable*, sigc::internal::slot_do_unbind>, sigc::bound_mem_functor0<void, GainMeterBase> > (_A_action=@0x7fff89b273e0, _A_target=@0x7f99541ec550)
    at libs/sigc++2/sigc++/adaptors/adaptor_trait.h:267
#9  0x0000000000a78ea2 in sigc::visit_each_type<sigc::trackable*, sigc::internal::slot_do_unbind, sigc::adaptor_functor<sigc::bound_mem_functor0<void, GainMeterBase> > > (_A_action=@0x7fff89b27410, _A_functor=@0x7f99541ec550)
    at libs/sigc++2/sigc++/visit_each.h:170
#10 0x0000000000a78ef2 in sigc::internal::typed_slot_rep<sigc::bound_mem_functor0<void, GainMeterBase> >::destroy (data=0x7f99541ec520)
    at libs/sigc++2/sigc++/functors/slot.h:60
#11 0x000000000080c6a7 in sigc::internal::slot_rep::destroy (
    this=0x7f99541ec520) at libs/sigc++2/sigc++/functors/slot_base.h:98
#12 0x00007f997be081ec in ~slot_rep (this=0x7f99541ec520)
    at libs/sigc++2/sigc++/functors/slot_base.h:87
---Type <return> to continue, or q <return> to quit---
#13 0x00007f997be07f62 in sigc::slot_base::operator= (this=0x1921860, 
    src=@0x7fff89b27590) at libs/sigc++2/sigc++/functors/slot_base.cc:124
#14 0x0000000000835363 in sigc::slot0<void>::operator= (this=0x1921860, 
    src=@0x7fff89b27590) at libs/sigc++2/sigc++/functors/slot.h:465
#15 0x0000000000835387 in sigc::slot<void, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator= (this=0x1921860)
    at libs/sigc++2/sigc++/functors/slot.h:1091
#16 0x00000000008353c9 in AbstractUI<Gtkmm2ext::UIRequest>::call_slot (
    this=0x17625e0, el_slot=@0x7fff89b27590) at libs/pbd/pbd/abstract_ui.h:53
#17 0x0000000000a6c7bd in GainMeterBase::gain_changed (this=0x1d73138, 
    src=0x7f995c3a3280) at gtk2_ardour/gain_meter.cc:394
#18 0x0000000000a75d28 in sigc::bound_mem_functor1<void, GainMeterBase, void*>::operator() (this=0x22f8868, _A_a1=@0x7fff89b27748)
    at libs/sigc++2/sigc++/functors/mem_fun.h:1851
#19 0x0000000000a75d4b in sigc::adaptor_functor<sigc::bound_mem_functor1<void, GainMeterBase, void*> >::operator()<void* const&> (this=0x22f8860, 
    _A_arg1=@0x7fff89b27748) at libs/sigc++2/sigc++/adaptors/adaptor_trait.h:84
#20 0x0000000000a75d77 in sigc::internal::slot_call1<sigc::bound_mem_functor1<void, GainMeterBase, void*>, void, void*>::call_it (rep=0x22f8830, 
    a_1=@0x7fff89b27748) at libs/sigc++2/sigc++/functors/slot.h:137
#21 0x00007f99814b98f9 in sigc::internal::signal_emit1<void, void*, sigc::nil>::emit (impl=0x7f995eb93c70, _A_a1=@0x7fff89b27748)
    at libs/sigc++2/sigc++/signal.h:1006
---Type <return> to continue, or q <return> to quit---
#22 0x00007f99814b99bd in sigc::signal1<void, void*, sigc::nil>::emit (
    this=0x7f995c3b9640, _A_a1=@0x7fff89b27748)
    at libs/sigc++2/sigc++/signal.h:2773
#23 0x00007f99814b99dd in sigc::signal1<void, void*, sigc::nil>::operator() (
    this=0x7f995c3b9640, _A_a1=@0x7fff89b27748)
    at libs/sigc++2/sigc++/signal.h:2781
#24 0x00007f99814ed1e7 in ARDOUR::IO::set_gain (this=0x7f995c3b95d0, 
    val=0.0229576603, src=0x7f995c3a3280) at libs/ardour/io.cc:2622
#25 0x00007f998155223d in ARDOUR::Route::set_gain (this=0x7f995c3b95d0, 
    val=0.0229576603, src=0x7f995c3a3280) at libs/ardour/route.cc:274
#26 0x00007f99814ebda5 in ARDOUR::IO::inc_gain (this=0x7f995c3b95d0, 
    factor=-0.751272917, src=0x7f995c3a3280) at libs/ardour/io.cc:2600
#27 0x00007f9981552267 in ARDOUR::Route::inc_gain (this=0x7f995c3b95d0, 
    fraction=-0.751272917, src=0x7f995c3a3280) at libs/ardour/route.cc:219
#28 0x00007f9981558604 in ARDOUR::RouteGroup::apply<float> (
    this=0x7f995c3a3280, 
    func=0x7f9981552240 <ARDOUR::Route::inc_gain(float, void*)>, 
    val=-0.751272917, src=0x7f995c3a3280)
    at libs/ardour/ardour/route_group.h:81
#29 0x00007f99815521d6 in ARDOUR::Route::set_gain (this=0x7f995c400340, 
    val=0.0212810263, src=0x234ed18) at libs/ardour/route.cc:260
#30 0x0000000000a6d81a in GainMeterBase::gain_adjusted (this=0x234ed18)
    at gtk2_ardour/gain_meter.cc:374
---Type <return> to continue, or q <return> to quit---
#31 0x0000000000a75b97 in sigc::bound_mem_functor0<void, GainMeterBase>::operator() (this=0x235ca28) at libs/sigc++2/sigc++/functors/mem_fun.h:1787
#32 0x0000000000a75bb3 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, GainMeterBase> >::operator() (this=0x235ca20)
    at libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#33 0x0000000000a75bd7 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, GainMeterBase>, void>::call_it (rep=0x235c9f0)
    at libs/sigc++2/sigc++/functors/slot.h:103
#34 0x0000000000804c99 in sigc::slot0<void>::operator() (this=0x235c9c8)
    at libs/sigc++2/sigc++/functors/slot.h:440
#35 0x00007f997ef58f8f in Glib::SignalProxyNormal::slot0_void_callback (
    self=0x233d1e0, data=0x235c9c0) at libs/glibmm2/glibmm/signalproxy.cc:95
#36 0x00007f997fc62bbf in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#37 0x00007f997fc76d87 in ?? () from /usr/lib/libgobject-2.0.so.0
#38 0x00007f997fc78245 in g_signal_emit_valist ()
   from /usr/lib/libgobject-2.0.so.0
#39 0x00007f997fc78633 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#40 0x00007f997e9a84cc in gtk_adjustment_value_changed ()
   from /usr/lib/libgtk-x11-2.0.so.0
#41 0x00007f997d855c19 in Gtk::Adjustment::set_value (this=0x234ed60, 
    value=0.17011026465892792) at libs/gtkmm2/gtk/gtkmm/adjustment.cc:275
#42 0x00007f997d2e8147 in Gtkmm2ext::PixFader::on_motion_notify_event (
    this=0x2359a90, ev=0x2b9cdf0) at libs/gtkmm2ext/pixfader.cc:288
---Type <return> to continue, or q <return> to quit---
#43 0x00007f997d7ce9e7 in Gtk::Widget_Class::motion_notify_event_callback (
    self=0x23484f0, p0=0x2b9cdf0) at libs/gtkmm2/gtk/gtkmm/widget.cc:3864
#44 0x00007f997ea7e87f in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#45 0x00007f997fc62bbf in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#46 0x00007f997fc76bc8 in ?? () from /usr/lib/libgobject-2.0.so.0
#47 0x00007f997fc77f6f in g_signal_emit_valist ()
   from /usr/lib/libgobject-2.0.so.0
#48 0x00007f997fc78633 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#49 0x00007f997eb85e55 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#50 0x00007f997ea77b92 in gtk_propagate_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
#51 0x00007f997ea78b35 in gtk_main_do_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
#52 0x00007f997e6e258c in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#53 0x00007f997f1b9364 in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0
#54 0x00007f997f1bc675 in ?? () from /usr/lib/libglib-2.0.so.0
#55 0x00007f997f1bc995 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#56 0x00007f997ea78f03 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#57 0x00007f997d87f055 in Gtk::Main::run_impl (this=0x1767dc0)
    at libs/gtkmm2/gtk/gtkmm/main.cc:503
#58 0x00007f997d87edc6 in Gtk::Main::run ()
    at libs/gtkmm2/gtk/gtkmm/main.cc:450
---Type <return> to continue, or q <return> to quit---
#59 0x00007f997d2dbe4b in Gtkmm2ext::UI::run (this=0x17625c0, 
    old_receiver=@0x10aee60) at libs/gtkmm2ext/gtk_ui.cc:226
#60 0x0000000000ae0a15 in main (argc=1, argv=0x7fff89b28c78)
    at gtk2_ardour/main.cc:335
(gdb) 

Ardour_backtrace.txt (19,996 bytes)

qharley

2009-02-18 22:14

reporter   ~0005728

Hi Carl, Seablade

I dropped the backtrace for the new segfault failure just now. Probably also 5 lines of code in the right places...

Regards,
Quentin

qharley

2009-02-19 12:38

reporter   ~0005733

PS: Should I wait until this is committed before opening a new ticket against the new segfaults?

drobilla

2009-02-19 20:15

developer   ~0005742

Patch looks good to me, applied to 2.0-ongoing r4624.

Closing; other issues wouldn't be directly related to this crash, please open new tickets if necessary.

Issue History

Date Modified Username Field Change
2008-10-15 20:05 qharley New Issue
2008-10-15 20:05 qharley File Added: ardour-2.6-bugreport.txt
2008-10-27 15:04 qharley File Added: ardour-2.6.1-bugreport.txt
2008-10-27 15:04 qharley Note Added: 0005212
2008-10-27 15:08 qharley Sponsorship Added qharley: US$ 5
2008-10-27 15:08 qharley Sponsorship Total 0 => 5
2008-11-24 10:25 seablade Note Added: 0005318
2008-11-24 10:25 seablade Status new => feedback
2008-11-24 14:06 qharley Note Added: 0005337
2008-11-24 14:11 qharley Note Added: 0005338
2008-11-24 17:57 seablade Note Added: 0005346
2008-11-24 17:57 seablade Assigned To => seablade
2008-11-24 17:57 seablade Status feedback => acknowledged
2008-11-29 21:20 seablade Note Added: 0005397
2008-11-30 13:26 paul Note Added: 0005398
2008-12-01 07:46 qharley Note Added: 0005406
2009-01-21 11:43 qharley File Added: backtrace.tar.gz
2009-01-21 11:45 qharley Note Added: 0005621
2009-01-21 11:51 qharley Note Added: 0005622
2009-01-22 18:16 qharley Sponsorship Updated qharley: US$ 10
2009-01-22 18:16 qharley Sponsorship Total 5 => 10
2009-01-22 18:16 qharley Sponsorship Updated qharley: US$ 25
2009-01-22 18:16 qharley Sponsorship Total 10 => 25
2009-01-27 10:50 qharley Note Added: 0005642
2009-01-27 22:03 seablade Note Added: 0005643
2009-01-27 22:05 seablade Note Added: 0005644
2009-01-28 07:27 qharley File Added: midimon_crashtest.txt
2009-01-28 07:32 qharley Note Added: 0005666
2009-01-28 07:39 qharley Note Added: 0005667
2009-01-28 07:55 qharley Note Added: 0005668
2009-01-28 07:56 qharley Note Edited: 0005668
2009-01-28 10:51 qharley Note Added: 0005670
2009-01-30 05:56 qharley Note Added: 0005681
2009-02-03 13:38 qharley Note Added: 0005685
2009-02-08 21:06 qharley File Added: midi4499.patch
2009-02-08 21:14 qharley Note Added: 0005689
2009-02-08 21:26 qharley Note Added: 0005690
2009-02-16 05:43 qharley Note Added: 0005719
2009-02-17 13:56 cth103 File Added: midi.patch
2009-02-17 13:57 cth103 Note Added: 0005721
2009-02-17 18:33 qharley Note Added: 0005723
2009-02-17 19:00 seablade Note Added: 0005724
2009-02-17 19:27 qharley Note Added: 0005725
2009-02-17 22:45 cth103 Note Added: 0005726
2009-02-18 22:11 qharley File Added: Ardour_backtrace.txt
2009-02-18 22:14 qharley Note Added: 0005728
2009-02-19 12:38 qharley Note Added: 0005733
2009-02-19 20:15 drobilla cost => 0.00
2009-02-19 20:15 drobilla Status acknowledged => resolved
2009-02-19 20:15 drobilla Resolution open => fixed
2009-02-19 20:15 drobilla Note Added: 0005742
2010-04-24 10:28 cth103 Category bugs => bugs2
2010-04-24 10:31 cth103 Category bugs2 => bugs